--------------------------------------------------------------------------------
-- Copyright (c) 1995-2007 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____
--  /   /\/   /
-- /___/  \  /    Vendor: Xilinx
-- \   \   \/     Version: J.32
--  \   \         Application: netgen
--  /   /         Filename: dut_sim.vhd
-- /___/   /\     Timestamp: Wed Nov 26 12:49:51 2008
-- \   \  /  \ 
--  \___\/\___\
--             
-- Command	: -sim -aka -dir netgen_ncd_routed -w -ofmt vhdl -mhf top_routed.ncd 
-- Device	: 2vp30ff896-7 (PRODUCTION 1.92 2006-10-19)
-- Input file	: top_routed.ncd
-- Output file	: D:\Home\kafkal\work\retac\tester\duts\impl\s1488\dut\netgen_ncd_routed\top_routed.vhd
-- # of Entities	: 1215
-- Design Name	: top
-- Module Name	: dut
-- Xilinx	: C:\PF\ISE_91i_PR\
--             
-- Purpose:    
--     This VHDL netlist is a verification model and uses simulation 
--     primitives which may not represent the true implementation of the 
--     device, however the netlist is functionally correct and should not 
--     be modified. This file cannot be synthesized and should only be used 
--     with supported simulation tools.
--             
-- Reference:  
--     Development System Reference Guide, Chapter 23
--     Synthesis and Simulation Design Guide, Chapter 6
--             
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library SIMPRIM;
use SIMPRIM.VCOMPONENTS.ALL;
use SIMPRIM.VPACKAGE.ALL;

entity dut is
  port (
    dut_clk : in STD_LOGIC := 'X'; 
    system_clk : in STD_LOGIC := 'X'; 
    checker_ready : in STD_LOGIC := 'X'; 
    din : in STD_LOGIC_VECTOR ( 63 downto 0 ); 
    ctrl_in : in STD_LOGIC_VECTOR ( 4 downto 0 ); 
    ctrl_dly_out : out STD_LOGIC_VECTOR ( 4 downto 0 ); 
    dout : out STD_LOGIC_VECTOR ( 63 downto 0 ) 
  );
end dut;

architecture STRUCTURE of dut is
  component ff
    port (
      clk : in STD_LOGIC := 'X'; 
      en : in STD_LOGIC := 'X'; 
      din : in STD_LOGIC_VECTOR ( 63 downto 0 ); 
      dout : out STD_LOGIC_VECTOR ( 63 downto 0 ) 
    );
  end component;
  component ff_INST_1
    port (
      clk : in STD_LOGIC := 'X'; 
      en : in STD_LOGIC := 'X'; 
      din : in STD_LOGIC_VECTOR ( 63 downto 0 ); 
      dout : out STD_LOGIC_VECTOR ( 63 downto 0 ) 
    );
  end component;
  component sr
    port (
      clk : in STD_LOGIC := 'X'; 
      en : in STD_LOGIC := 'X'; 
      din : in STD_LOGIC_VECTOR ( 4 downto 0 ); 
      dout : out STD_LOGIC_VECTOR ( 4 downto 0 ) 
    );
  end component;
  component s1488
    port (
      CLR : in STD_LOGIC := 'X'; 
      CK : in STD_LOGIC := 'X'; 
      v0 : in STD_LOGIC := 'X'; 
      v1 : in STD_LOGIC := 'X'; 
      v2 : in STD_LOGIC := 'X'; 
      v3 : in STD_LOGIC := 'X'; 
      v4 : in STD_LOGIC := 'X'; 
      v5 : in STD_LOGIC := 'X'; 
      v6 : in STD_LOGIC := 'X'; 
      v13_D_6 : out STD_LOGIC; 
      v13_D_7 : out STD_LOGIC; 
      v13_D_8 : out STD_LOGIC; 
      v13_D_9 : out STD_LOGIC; 
      v13_D_10 : out STD_LOGIC; 
      v13_D_11 : out STD_LOGIC; 
      v13_D_12 : out STD_LOGIC; 
      v13_D_13 : out STD_LOGIC; 
      v13_D_14 : out STD_LOGIC; 
      v13_D_15 : out STD_LOGIC; 
      v13_D_20 : out STD_LOGIC; 
      v13_D_16 : out STD_LOGIC; 
      v13_D_21 : out STD_LOGIC; 
      v13_D_17 : out STD_LOGIC; 
      v13_D_22 : out STD_LOGIC; 
      v13_D_23 : out STD_LOGIC; 
      v13_D_18 : out STD_LOGIC; 
      v13_D_24 : out STD_LOGIC; 
      v13_D_19 : out STD_LOGIC 
    );
  end component;
  signal NlwRenamedSignal_GLOBAL_LOGIC0 : STD_LOGIC; 
  signal NLW_i_ff_din_din_63_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<63>_UNCONNECTED
  signal NLW_i_ff_din_din_62_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<62>_UNCONNECTED
  signal NLW_i_ff_din_din_61_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<61>_UNCONNECTED
  signal NLW_i_ff_din_din_60_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<60>_UNCONNECTED
  signal NLW_i_ff_din_din_59_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<59>_UNCONNECTED
  signal NLW_i_ff_din_din_58_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<58>_UNCONNECTED
  signal NLW_i_ff_din_din_57_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<57>_UNCONNECTED
  signal NLW_i_ff_din_din_56_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<56>_UNCONNECTED
  signal NLW_i_ff_din_din_55_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<55>_UNCONNECTED
  signal NLW_i_ff_din_din_54_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<54>_UNCONNECTED
  signal NLW_i_ff_din_din_53_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<53>_UNCONNECTED
  signal NLW_i_ff_din_din_52_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<52>_UNCONNECTED
  signal NLW_i_ff_din_din_51_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<51>_UNCONNECTED
  signal NLW_i_ff_din_din_50_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<50>_UNCONNECTED
  signal NLW_i_ff_din_din_49_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<49>_UNCONNECTED
  signal NLW_i_ff_din_din_48_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<48>_UNCONNECTED
  signal NLW_i_ff_din_din_47_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<47>_UNCONNECTED
  signal NLW_i_ff_din_din_46_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<46>_UNCONNECTED
  signal NLW_i_ff_din_din_45_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<45>_UNCONNECTED
  signal NLW_i_ff_din_din_44_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<44>_UNCONNECTED
  signal NLW_i_ff_din_din_43_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<43>_UNCONNECTED
  signal NLW_i_ff_din_din_42_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<42>_UNCONNECTED
  signal NLW_i_ff_din_din_41_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<41>_UNCONNECTED
  signal NLW_i_ff_din_din_40_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<40>_UNCONNECTED
  signal NLW_i_ff_din_din_39_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<39>_UNCONNECTED
  signal NLW_i_ff_din_din_38_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<38>_UNCONNECTED
  signal NLW_i_ff_din_din_37_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<37>_UNCONNECTED
  signal NLW_i_ff_din_din_36_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<36>_UNCONNECTED
  signal NLW_i_ff_din_din_35_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<35>_UNCONNECTED
  signal NLW_i_ff_din_din_34_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<34>_UNCONNECTED
  signal NLW_i_ff_din_din_33_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<33>_UNCONNECTED
  signal NLW_i_ff_din_din_32_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<32>_UNCONNECTED
  signal NLW_i_ff_din_din_31_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<31>_UNCONNECTED
  signal NLW_i_ff_din_din_30_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<30>_UNCONNECTED
  signal NLW_i_ff_din_din_29_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<29>_UNCONNECTED
  signal NLW_i_ff_din_din_28_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<28>_UNCONNECTED
  signal NLW_i_ff_din_din_27_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<27>_UNCONNECTED
  signal NLW_i_ff_din_din_26_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<26>_UNCONNECTED
  signal NLW_i_ff_din_din_25_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<25>_UNCONNECTED
  signal NLW_i_ff_din_din_24_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<24>_UNCONNECTED
  signal NLW_i_ff_din_din_23_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<23>_UNCONNECTED
  signal NLW_i_ff_din_din_22_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<22>_UNCONNECTED
  signal NLW_i_ff_din_din_21_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<21>_UNCONNECTED
  signal NLW_i_ff_din_din_20_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<20>_UNCONNECTED
  signal NLW_i_ff_din_din_19_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<19>_UNCONNECTED
  signal NLW_i_ff_din_din_18_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<18>_UNCONNECTED
  signal NLW_i_ff_din_din_17_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<17>_UNCONNECTED
  signal NLW_i_ff_din_din_16_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<16>_UNCONNECTED
  signal NLW_i_ff_din_din_15_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<15>_UNCONNECTED
  signal NLW_i_ff_din_din_14_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<14>_UNCONNECTED
  signal NLW_i_ff_din_din_13_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<13>_UNCONNECTED
  signal NLW_i_ff_din_din_12_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<12>_UNCONNECTED
  signal NLW_i_ff_din_din_11_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<11>_UNCONNECTED
  signal NLW_i_ff_din_din_10_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<10>_UNCONNECTED
  signal NLW_i_ff_din_din_9_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<9>_UNCONNECTED
  signal NLW_i_ff_din_din_8_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_din<8>_UNCONNECTED
  signal NLW_i_ff_din_dout_63_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<63>_UNCONNECTED
  signal NLW_i_ff_din_dout_62_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<62>_UNCONNECTED
  signal NLW_i_ff_din_dout_61_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<61>_UNCONNECTED
  signal NLW_i_ff_din_dout_60_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<60>_UNCONNECTED
  signal NLW_i_ff_din_dout_59_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<59>_UNCONNECTED
  signal NLW_i_ff_din_dout_58_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<58>_UNCONNECTED
  signal NLW_i_ff_din_dout_57_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<57>_UNCONNECTED
  signal NLW_i_ff_din_dout_56_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<56>_UNCONNECTED
  signal NLW_i_ff_din_dout_55_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<55>_UNCONNECTED
  signal NLW_i_ff_din_dout_54_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<54>_UNCONNECTED
  signal NLW_i_ff_din_dout_53_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<53>_UNCONNECTED
  signal NLW_i_ff_din_dout_52_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<52>_UNCONNECTED
  signal NLW_i_ff_din_dout_51_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<51>_UNCONNECTED
  signal NLW_i_ff_din_dout_50_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<50>_UNCONNECTED
  signal NLW_i_ff_din_dout_49_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<49>_UNCONNECTED
  signal NLW_i_ff_din_dout_48_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<48>_UNCONNECTED
  signal NLW_i_ff_din_dout_47_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<47>_UNCONNECTED
  signal NLW_i_ff_din_dout_46_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<46>_UNCONNECTED
  signal NLW_i_ff_din_dout_45_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<45>_UNCONNECTED
  signal NLW_i_ff_din_dout_44_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<44>_UNCONNECTED
  signal NLW_i_ff_din_dout_43_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<43>_UNCONNECTED
  signal NLW_i_ff_din_dout_42_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<42>_UNCONNECTED
  signal NLW_i_ff_din_dout_41_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<41>_UNCONNECTED
  signal NLW_i_ff_din_dout_40_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<40>_UNCONNECTED
  signal NLW_i_ff_din_dout_39_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<39>_UNCONNECTED
  signal NLW_i_ff_din_dout_38_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<38>_UNCONNECTED
  signal NLW_i_ff_din_dout_37_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<37>_UNCONNECTED
  signal NLW_i_ff_din_dout_36_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<36>_UNCONNECTED
  signal NLW_i_ff_din_dout_35_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<35>_UNCONNECTED
  signal NLW_i_ff_din_dout_34_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<34>_UNCONNECTED
  signal NLW_i_ff_din_dout_33_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<33>_UNCONNECTED
  signal NLW_i_ff_din_dout_32_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<32>_UNCONNECTED
  signal NLW_i_ff_din_dout_31_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<31>_UNCONNECTED
  signal NLW_i_ff_din_dout_30_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<30>_UNCONNECTED
  signal NLW_i_ff_din_dout_29_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<29>_UNCONNECTED
  signal NLW_i_ff_din_dout_28_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<28>_UNCONNECTED
  signal NLW_i_ff_din_dout_27_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<27>_UNCONNECTED
  signal NLW_i_ff_din_dout_26_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<26>_UNCONNECTED
  signal NLW_i_ff_din_dout_25_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<25>_UNCONNECTED
  signal NLW_i_ff_din_dout_24_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<24>_UNCONNECTED
  signal NLW_i_ff_din_dout_23_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<23>_UNCONNECTED
  signal NLW_i_ff_din_dout_22_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<22>_UNCONNECTED
  signal NLW_i_ff_din_dout_21_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<21>_UNCONNECTED
  signal NLW_i_ff_din_dout_20_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<20>_UNCONNECTED
  signal NLW_i_ff_din_dout_19_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<19>_UNCONNECTED
  signal NLW_i_ff_din_dout_18_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<18>_UNCONNECTED
  signal NLW_i_ff_din_dout_17_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<17>_UNCONNECTED
  signal NLW_i_ff_din_dout_16_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<16>_UNCONNECTED
  signal NLW_i_ff_din_dout_15_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<15>_UNCONNECTED
  signal NLW_i_ff_din_dout_14_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<14>_UNCONNECTED
  signal NLW_i_ff_din_dout_13_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<13>_UNCONNECTED
  signal NLW_i_ff_din_dout_12_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<12>_UNCONNECTED
  signal NLW_i_ff_din_dout_11_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<11>_UNCONNECTED
  signal NLW_i_ff_din_dout_10_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<10>_UNCONNECTED
  signal NLW_i_ff_din_dout_9_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<9>_UNCONNECTED
  signal NLW_i_ff_din_dout_8_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_din_dout<8>_UNCONNECTED
  signal NLW_i_ff_dout_din_63_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<63>_UNCONNECTED
  signal NLW_i_ff_dout_din_62_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<62>_UNCONNECTED
  signal NLW_i_ff_dout_din_61_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<61>_UNCONNECTED
  signal NLW_i_ff_dout_din_60_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<60>_UNCONNECTED
  signal NLW_i_ff_dout_din_59_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<59>_UNCONNECTED
  signal NLW_i_ff_dout_din_58_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<58>_UNCONNECTED
  signal NLW_i_ff_dout_din_57_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<57>_UNCONNECTED
  signal NLW_i_ff_dout_din_56_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<56>_UNCONNECTED
  signal NLW_i_ff_dout_din_55_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<55>_UNCONNECTED
  signal NLW_i_ff_dout_din_54_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<54>_UNCONNECTED
  signal NLW_i_ff_dout_din_53_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<53>_UNCONNECTED
  signal NLW_i_ff_dout_din_52_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<52>_UNCONNECTED
  signal NLW_i_ff_dout_din_51_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<51>_UNCONNECTED
  signal NLW_i_ff_dout_din_50_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<50>_UNCONNECTED
  signal NLW_i_ff_dout_din_49_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<49>_UNCONNECTED
  signal NLW_i_ff_dout_din_48_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<48>_UNCONNECTED
  signal NLW_i_ff_dout_din_47_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<47>_UNCONNECTED
  signal NLW_i_ff_dout_din_46_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<46>_UNCONNECTED
  signal NLW_i_ff_dout_din_45_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<45>_UNCONNECTED
  signal NLW_i_ff_dout_din_44_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<44>_UNCONNECTED
  signal NLW_i_ff_dout_din_43_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<43>_UNCONNECTED
  signal NLW_i_ff_dout_din_42_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<42>_UNCONNECTED
  signal NLW_i_ff_dout_din_41_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<41>_UNCONNECTED
  signal NLW_i_ff_dout_din_40_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<40>_UNCONNECTED
  signal NLW_i_ff_dout_din_39_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<39>_UNCONNECTED
  signal NLW_i_ff_dout_din_38_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<38>_UNCONNECTED
  signal NLW_i_ff_dout_din_37_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<37>_UNCONNECTED
  signal NLW_i_ff_dout_din_36_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<36>_UNCONNECTED
  signal NLW_i_ff_dout_din_35_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<35>_UNCONNECTED
  signal NLW_i_ff_dout_din_34_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<34>_UNCONNECTED
  signal NLW_i_ff_dout_din_33_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<33>_UNCONNECTED
  signal NLW_i_ff_dout_din_32_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<32>_UNCONNECTED
  signal NLW_i_ff_dout_din_31_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<31>_UNCONNECTED
  signal NLW_i_ff_dout_din_30_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<30>_UNCONNECTED
  signal NLW_i_ff_dout_din_29_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<29>_UNCONNECTED
  signal NLW_i_ff_dout_din_28_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<28>_UNCONNECTED
  signal NLW_i_ff_dout_din_27_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<27>_UNCONNECTED
  signal NLW_i_ff_dout_din_26_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<26>_UNCONNECTED
  signal NLW_i_ff_dout_din_25_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<25>_UNCONNECTED
  signal NLW_i_ff_dout_din_24_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<24>_UNCONNECTED
  signal NLW_i_ff_dout_din_23_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<23>_UNCONNECTED
  signal NLW_i_ff_dout_din_22_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<22>_UNCONNECTED
  signal NLW_i_ff_dout_din_21_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<21>_UNCONNECTED
  signal NLW_i_ff_dout_din_20_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<20>_UNCONNECTED
  signal NLW_i_ff_dout_din_19_UNCONNECTED : STD_LOGIC; -- AKA:NLW_i_ff_dout_din<19>_UNCONNECTED
  signal dout_s : STD_LOGIC_VECTOR ( 18 downto 0 ); 
  signal din_ff : STD_LOGIC_VECTOR ( 7 downto 0 ); 
begin
  dout(63) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(62) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(61) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(60) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(59) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(58) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(57) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(56) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(55) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(54) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(53) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(52) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(51) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(50) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(49) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(48) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(47) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(46) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(45) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(44) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(43) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(42) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(41) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(40) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(39) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(38) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(37) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(36) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(35) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(34) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(33) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(32) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(31) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(30) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(29) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(28) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(27) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(26) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(25) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(24) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(23) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(22) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(21) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(20) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  dout(19) <= NlwRenamedSignal_GLOBAL_LOGIC0;
  i_ff_dout : ff
    port map (
      clk => system_clk,
      en => checker_ready,
      din(63) => NLW_i_ff_dout_din_63_UNCONNECTED,
      din(62) => NLW_i_ff_dout_din_62_UNCONNECTED,
      din(61) => NLW_i_ff_dout_din_61_UNCONNECTED,
      din(60) => NLW_i_ff_dout_din_60_UNCONNECTED,
      din(59) => NLW_i_ff_dout_din_59_UNCONNECTED,
      din(58) => NLW_i_ff_dout_din_58_UNCONNECTED,
      din(57) => NLW_i_ff_dout_din_57_UNCONNECTED,
      din(56) => NLW_i_ff_dout_din_56_UNCONNECTED,
      din(55) => NLW_i_ff_dout_din_55_UNCONNECTED,
      din(54) => NLW_i_ff_dout_din_54_UNCONNECTED,
      din(53) => NLW_i_ff_dout_din_53_UNCONNECTED,
      din(52) => NLW_i_ff_dout_din_52_UNCONNECTED,
      din(51) => NLW_i_ff_dout_din_51_UNCONNECTED,
      din(50) => NLW_i_ff_dout_din_50_UNCONNECTED,
      din(49) => NLW_i_ff_dout_din_49_UNCONNECTED,
      din(48) => NLW_i_ff_dout_din_48_UNCONNECTED,
      din(47) => NLW_i_ff_dout_din_47_UNCONNECTED,
      din(46) => NLW_i_ff_dout_din_46_UNCONNECTED,
      din(45) => NLW_i_ff_dout_din_45_UNCONNECTED,
      din(44) => NLW_i_ff_dout_din_44_UNCONNECTED,
      din(43) => NLW_i_ff_dout_din_43_UNCONNECTED,
      din(42) => NLW_i_ff_dout_din_42_UNCONNECTED,
      din(41) => NLW_i_ff_dout_din_41_UNCONNECTED,
      din(40) => NLW_i_ff_dout_din_40_UNCONNECTED,
      din(39) => NLW_i_ff_dout_din_39_UNCONNECTED,
      din(38) => NLW_i_ff_dout_din_38_UNCONNECTED,
      din(37) => NLW_i_ff_dout_din_37_UNCONNECTED,
      din(36) => NLW_i_ff_dout_din_36_UNCONNECTED,
      din(35) => NLW_i_ff_dout_din_35_UNCONNECTED,
      din(34) => NLW_i_ff_dout_din_34_UNCONNECTED,
      din(33) => NLW_i_ff_dout_din_33_UNCONNECTED,
      din(32) => NLW_i_ff_dout_din_32_UNCONNECTED,
      din(31) => NLW_i_ff_dout_din_31_UNCONNECTED,
      din(30) => NLW_i_ff_dout_din_30_UNCONNECTED,
      din(29) => NLW_i_ff_dout_din_29_UNCONNECTED,
      din(28) => NLW_i_ff_dout_din_28_UNCONNECTED,
      din(27) => NLW_i_ff_dout_din_27_UNCONNECTED,
      din(26) => NLW_i_ff_dout_din_26_UNCONNECTED,
      din(25) => NLW_i_ff_dout_din_25_UNCONNECTED,
      din(24) => NLW_i_ff_dout_din_24_UNCONNECTED,
      din(23) => NLW_i_ff_dout_din_23_UNCONNECTED,
      din(22) => NLW_i_ff_dout_din_22_UNCONNECTED,
      din(21) => NLW_i_ff_dout_din_21_UNCONNECTED,
      din(20) => NLW_i_ff_dout_din_20_UNCONNECTED,
      din(19) => NLW_i_ff_dout_din_19_UNCONNECTED,
      din(18) => dout_s(18),
      din(17) => dout_s(17),
      din(16) => dout_s(16),
      din(15) => dout_s(15),
      din(14) => dout_s(14),
      din(13) => dout_s(13),
      din(12) => dout_s(12),
      din(11) => dout_s(11),
      din(10) => dout_s(10),
      din(9) => dout_s(9),
      din(8) => dout_s(8),
      din(7) => dout_s(7),
      din(6) => dout_s(6),
      din(5) => dout_s(5),
      din(4) => dout_s(4),
      din(3) => dout_s(3),
      din(2) => dout_s(2),
      din(1) => dout_s(1),
      din(0) => dout_s(0),
      dout(63) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(62) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(61) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(60) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(59) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(58) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(57) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(56) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(55) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(54) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(53) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(52) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(51) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(50) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(49) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(48) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(47) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(46) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(45) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(44) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(43) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(42) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(41) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(40) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(39) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(38) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(37) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(36) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(35) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(34) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(33) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(32) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(31) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(30) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(29) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(28) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(27) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(26) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(25) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(24) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(23) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(22) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(21) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(20) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(19) => NlwRenamedSignal_GLOBAL_LOGIC0,
      dout(18) => dout(18),
      dout(17) => dout(17),
      dout(16) => dout(16),
      dout(15) => dout(15),
      dout(14) => dout(14),
      dout(13) => dout(13),
      dout(12) => dout(12),
      dout(11) => dout(11),
      dout(10) => dout(10),
      dout(9) => dout(9),
      dout(8) => dout(8),
      dout(7) => dout(7),
      dout(6) => dout(6),
      dout(5) => dout(5),
      dout(4) => dout(4),
      dout(3) => dout(3),
      dout(2) => dout(2),
      dout(1) => dout(1),
      dout(0) => dout(0)
    );
  i_ff_din : ff_INST_1
    port map (
      clk => system_clk,
      en => checker_ready,
      din(63) => NLW_i_ff_din_din_63_UNCONNECTED,
      din(62) => NLW_i_ff_din_din_62_UNCONNECTED,
      din(61) => NLW_i_ff_din_din_61_UNCONNECTED,
      din(60) => NLW_i_ff_din_din_60_UNCONNECTED,
      din(59) => NLW_i_ff_din_din_59_UNCONNECTED,
      din(58) => NLW_i_ff_din_din_58_UNCONNECTED,
      din(57) => NLW_i_ff_din_din_57_UNCONNECTED,
      din(56) => NLW_i_ff_din_din_56_UNCONNECTED,
      din(55) => NLW_i_ff_din_din_55_UNCONNECTED,
      din(54) => NLW_i_ff_din_din_54_UNCONNECTED,
      din(53) => NLW_i_ff_din_din_53_UNCONNECTED,
      din(52) => NLW_i_ff_din_din_52_UNCONNECTED,
      din(51) => NLW_i_ff_din_din_51_UNCONNECTED,
      din(50) => NLW_i_ff_din_din_50_UNCONNECTED,
      din(49) => NLW_i_ff_din_din_49_UNCONNECTED,
      din(48) => NLW_i_ff_din_din_48_UNCONNECTED,
      din(47) => NLW_i_ff_din_din_47_UNCONNECTED,
      din(46) => NLW_i_ff_din_din_46_UNCONNECTED,
      din(45) => NLW_i_ff_din_din_45_UNCONNECTED,
      din(44) => NLW_i_ff_din_din_44_UNCONNECTED,
      din(43) => NLW_i_ff_din_din_43_UNCONNECTED,
      din(42) => NLW_i_ff_din_din_42_UNCONNECTED,
      din(41) => NLW_i_ff_din_din_41_UNCONNECTED,
      din(40) => NLW_i_ff_din_din_40_UNCONNECTED,
      din(39) => NLW_i_ff_din_din_39_UNCONNECTED,
      din(38) => NLW_i_ff_din_din_38_UNCONNECTED,
      din(37) => NLW_i_ff_din_din_37_UNCONNECTED,
      din(36) => NLW_i_ff_din_din_36_UNCONNECTED,
      din(35) => NLW_i_ff_din_din_35_UNCONNECTED,
      din(34) => NLW_i_ff_din_din_34_UNCONNECTED,
      din(33) => NLW_i_ff_din_din_33_UNCONNECTED,
      din(32) => NLW_i_ff_din_din_32_UNCONNECTED,
      din(31) => NLW_i_ff_din_din_31_UNCONNECTED,
      din(30) => NLW_i_ff_din_din_30_UNCONNECTED,
      din(29) => NLW_i_ff_din_din_29_UNCONNECTED,
      din(28) => NLW_i_ff_din_din_28_UNCONNECTED,
      din(27) => NLW_i_ff_din_din_27_UNCONNECTED,
      din(26) => NLW_i_ff_din_din_26_UNCONNECTED,
      din(25) => NLW_i_ff_din_din_25_UNCONNECTED,
      din(24) => NLW_i_ff_din_din_24_UNCONNECTED,
      din(23) => NLW_i_ff_din_din_23_UNCONNECTED,
      din(22) => NLW_i_ff_din_din_22_UNCONNECTED,
      din(21) => NLW_i_ff_din_din_21_UNCONNECTED,
      din(20) => NLW_i_ff_din_din_20_UNCONNECTED,
      din(19) => NLW_i_ff_din_din_19_UNCONNECTED,
      din(18) => NLW_i_ff_din_din_18_UNCONNECTED,
      din(17) => NLW_i_ff_din_din_17_UNCONNECTED,
      din(16) => NLW_i_ff_din_din_16_UNCONNECTED,
      din(15) => NLW_i_ff_din_din_15_UNCONNECTED,
      din(14) => NLW_i_ff_din_din_14_UNCONNECTED,
      din(13) => NLW_i_ff_din_din_13_UNCONNECTED,
      din(12) => NLW_i_ff_din_din_12_UNCONNECTED,
      din(11) => NLW_i_ff_din_din_11_UNCONNECTED,
      din(10) => NLW_i_ff_din_din_10_UNCONNECTED,
      din(9) => NLW_i_ff_din_din_9_UNCONNECTED,
      din(8) => NLW_i_ff_din_din_8_UNCONNECTED,
      din(7) => din(7),
      din(6) => din(6),
      din(5) => din(5),
      din(4) => din(4),
      din(3) => din(3),
      din(2) => din(2),
      din(1) => din(1),
      din(0) => din(0),
      dout(63) => NLW_i_ff_din_dout_63_UNCONNECTED,
      dout(62) => NLW_i_ff_din_dout_62_UNCONNECTED,
      dout(61) => NLW_i_ff_din_dout_61_UNCONNECTED,
      dout(60) => NLW_i_ff_din_dout_60_UNCONNECTED,
      dout(59) => NLW_i_ff_din_dout_59_UNCONNECTED,
      dout(58) => NLW_i_ff_din_dout_58_UNCONNECTED,
      dout(57) => NLW_i_ff_din_dout_57_UNCONNECTED,
      dout(56) => NLW_i_ff_din_dout_56_UNCONNECTED,
      dout(55) => NLW_i_ff_din_dout_55_UNCONNECTED,
      dout(54) => NLW_i_ff_din_dout_54_UNCONNECTED,
      dout(53) => NLW_i_ff_din_dout_53_UNCONNECTED,
      dout(52) => NLW_i_ff_din_dout_52_UNCONNECTED,
      dout(51) => NLW_i_ff_din_dout_51_UNCONNECTED,
      dout(50) => NLW_i_ff_din_dout_50_UNCONNECTED,
      dout(49) => NLW_i_ff_din_dout_49_UNCONNECTED,
      dout(48) => NLW_i_ff_din_dout_48_UNCONNECTED,
      dout(47) => NLW_i_ff_din_dout_47_UNCONNECTED,
      dout(46) => NLW_i_ff_din_dout_46_UNCONNECTED,
      dout(45) => NLW_i_ff_din_dout_45_UNCONNECTED,
      dout(44) => NLW_i_ff_din_dout_44_UNCONNECTED,
      dout(43) => NLW_i_ff_din_dout_43_UNCONNECTED,
      dout(42) => NLW_i_ff_din_dout_42_UNCONNECTED,
      dout(41) => NLW_i_ff_din_dout_41_UNCONNECTED,
      dout(40) => NLW_i_ff_din_dout_40_UNCONNECTED,
      dout(39) => NLW_i_ff_din_dout_39_UNCONNECTED,
      dout(38) => NLW_i_ff_din_dout_38_UNCONNECTED,
      dout(37) => NLW_i_ff_din_dout_37_UNCONNECTED,
      dout(36) => NLW_i_ff_din_dout_36_UNCONNECTED,
      dout(35) => NLW_i_ff_din_dout_35_UNCONNECTED,
      dout(34) => NLW_i_ff_din_dout_34_UNCONNECTED,
      dout(33) => NLW_i_ff_din_dout_33_UNCONNECTED,
      dout(32) => NLW_i_ff_din_dout_32_UNCONNECTED,
      dout(31) => NLW_i_ff_din_dout_31_UNCONNECTED,
      dout(30) => NLW_i_ff_din_dout_30_UNCONNECTED,
      dout(29) => NLW_i_ff_din_dout_29_UNCONNECTED,
      dout(28) => NLW_i_ff_din_dout_28_UNCONNECTED,
      dout(27) => NLW_i_ff_din_dout_27_UNCONNECTED,
      dout(26) => NLW_i_ff_din_dout_26_UNCONNECTED,
      dout(25) => NLW_i_ff_din_dout_25_UNCONNECTED,
      dout(24) => NLW_i_ff_din_dout_24_UNCONNECTED,
      dout(23) => NLW_i_ff_din_dout_23_UNCONNECTED,
      dout(22) => NLW_i_ff_din_dout_22_UNCONNECTED,
      dout(21) => NLW_i_ff_din_dout_21_UNCONNECTED,
      dout(20) => NLW_i_ff_din_dout_20_UNCONNECTED,
      dout(19) => NLW_i_ff_din_dout_19_UNCONNECTED,
      dout(18) => NLW_i_ff_din_dout_18_UNCONNECTED,
      dout(17) => NLW_i_ff_din_dout_17_UNCONNECTED,
      dout(16) => NLW_i_ff_din_dout_16_UNCONNECTED,
      dout(15) => NLW_i_ff_din_dout_15_UNCONNECTED,
      dout(14) => NLW_i_ff_din_dout_14_UNCONNECTED,
      dout(13) => NLW_i_ff_din_dout_13_UNCONNECTED,
      dout(12) => NLW_i_ff_din_dout_12_UNCONNECTED,
      dout(11) => NLW_i_ff_din_dout_11_UNCONNECTED,
      dout(10) => NLW_i_ff_din_dout_10_UNCONNECTED,
      dout(9) => NLW_i_ff_din_dout_9_UNCONNECTED,
      dout(8) => NLW_i_ff_din_dout_8_UNCONNECTED,
      dout(7) => din_ff(7),
      dout(6) => din_ff(6),
      dout(5) => din_ff(5),
      dout(4) => din_ff(4),
      dout(3) => din_ff(3),
      dout(2) => din_ff(2),
      dout(1) => din_ff(1),
      dout(0) => din_ff(0)
    );
  i_sr_ctrl : sr
    port map (
      clk => system_clk,
      en => checker_ready,
      din(4) => ctrl_in(4),
      din(3) => ctrl_in(3),
      din(2) => ctrl_in(2),
      din(1) => ctrl_in(1),
      din(0) => ctrl_in(0),
      dout(4) => ctrl_dly_out(4),
      dout(3) => ctrl_dly_out(3),
      dout(2) => ctrl_dly_out(2),
      dout(1) => ctrl_dly_out(1),
      dout(0) => ctrl_dly_out(0)
    );
  i_module : s1488
    port map (
      CLR => din_ff(0),
      CK => dut_clk,
      v0 => din_ff(7),
      v1 => din_ff(6),
      v2 => din_ff(5),
      v3 => din_ff(4),
      v4 => din_ff(3),
      v5 => din_ff(2),
      v6 => din_ff(1),
      v13_D_6 => dout_s(8),
      v13_D_7 => dout_s(15),
      v13_D_8 => dout_s(12),
      v13_D_9 => dout_s(10),
      v13_D_10 => dout_s(11),
      v13_D_11 => dout_s(6),
      v13_D_12 => dout_s(17),
      v13_D_13 => dout_s(18),
      v13_D_14 => dout_s(14),
      v13_D_15 => dout_s(9),
      v13_D_20 => dout_s(0),
      v13_D_16 => dout_s(2),
      v13_D_21 => dout_s(1),
      v13_D_17 => dout_s(16),
      v13_D_22 => dout_s(3),
      v13_D_23 => dout_s(7),
      v13_D_18 => dout_s(5),
      v13_D_24 => dout_s(13),
      v13_D_19 => dout_s(4)
    );
  GLOBAL_LOGIC0_GND : X_ZERO
    port map (
      O => NlwRenamedSignal_GLOBAL_LOGIC0
    );
  NlwBlockROC : X_ROC
    port map (O => GSR);
  NlwBlockTOC : X_TOC
    port map (O => GTS);

end STRUCTURE;

