--------------------------------------------------------------------------------
-- Copyright (c) 1995-2007 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____
--  /   /\/   /
-- /___/  \  /    Vendor: Xilinx
-- \   \   \/     Version: J.32
--  \   \         Application: netgen
--  /   /         Filename: DFC3_sim.vhd
-- /___/   /\     Timestamp: Wed Nov 26 12:49:50 2008
-- \   \  /  \ 
--  \___\/\___\
--             
-- Command	: -sim -aka -dir netgen_ncd_routed -w -ofmt vhdl -mhf top_routed.ncd 
-- Device	: 2vp30ff896-7 (PRODUCTION 1.92 2006-10-19)
-- Input file	: top_routed.ncd
-- Output file	: D:\Home\kafkal\work\retac\tester\duts\impl\s1488\dut\netgen_ncd_routed\top_routed.vhd
-- # of Entities	: 1215
-- Design Name	: top
-- Module Name	: DFC3
-- Xilinx	: C:\PF\ISE_91i_PR\
--             
-- Purpose:    
--     This VHDL netlist is a verification model and uses simulation 
--     primitives which may not represent the true implementation of the 
--     device, however the netlist is functionally correct and should not 
--     be modified. This file cannot be synthesized and should only be used 
--     with supported simulation tools.
--             
-- Reference:  
--     Development System Reference Guide, Chapter 23
--     Synthesis and Simulation Design Guide, Chapter 6
--             
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library SIMPRIM;
use SIMPRIM.VCOMPONENTS.ALL;
use SIMPRIM.VPACKAGE.ALL;

entity DFC3 is
  port (
    C : in STD_LOGIC := 'X'; 
    D : in STD_LOGIC := 'X'; 
    RN : in STD_LOGIC := 'X'; 
    Q : out STD_LOGIC; 
    QN : out STD_LOGIC 
  );
end DFC3;

architecture STRUCTURE of DFC3 is
  signal GLOBAL_LOGIC1 : STD_LOGIC; 
  signal i_dut_i_module_v12_DYMUX_20 : STD_LOGIC; -- AKA:i_dut/i_module/v12/DYMUX
  signal i_dut_i_module_v12_CLKINV_21 : STD_LOGIC; -- AKA:i_dut/i_module/v12/CLKINV
  signal i_dut_i_module_v12_CEINV_22 : STD_LOGIC; -- AKA:i_dut/i_module/v12/CEINV
  signal i_dut_i_module_v12_FFY_RSTAND_23 : STD_LOGIC; -- AKA:i_dut/i_module/v12/FFY/RSTAND
  signal GND : STD_LOGIC; 
begin
  GLOBAL_LOGIC1 <= RN;
  i_dut_i_module_v12_DYMUX : X_BUF -- AKA:i_dut/i_module/v12/DYMUX
    generic map(
      LOC => "SLICE_X72Y37",
      PATHPULSE => 369 ps
    )
    port map (
      I => D,
      O => i_dut_i_module_v12_DYMUX_20
    );
  i_dut_i_module_v12_CLKINV : X_BUF -- AKA:i_dut/i_module/v12/CLKINV
    generic map(
      LOC => "SLICE_X72Y37",
      PATHPULSE => 369 ps
    )
    port map (
      I => C,
      O => i_dut_i_module_v12_CLKINV_21
    );
  i_dut_i_module_v12_CEINV : X_BUF -- AKA:i_dut/i_module/v12/CEINV
    generic map(
      LOC => "SLICE_X72Y37",
      PATHPULSE => 369 ps
    )
    port map (
      I => GLOBAL_LOGIC1,
      O => i_dut_i_module_v12_CEINV_22
    );
  state_0 : X_FF
    generic map(
      LOC => "SLICE_X72Y37",
      INIT => '0'
    )
    port map (
      I => i_dut_i_module_v12_DYMUX_20,
      CE => i_dut_i_module_v12_CEINV_22,
      CLK => i_dut_i_module_v12_CLKINV_21,
      SET => GND,
      RST => i_dut_i_module_v12_FFY_RSTAND_23,
      O => Q
    );
  i_dut_i_module_v12_FFY_RSTAND : X_INV -- AKA:i_dut/i_module/v12/FFY/RSTAND
    generic map(
      LOC => "SLICE_X72Y37",
      PATHPULSE => 369 ps
    )
    port map (
      I => GLOBAL_LOGIC1,
      O => i_dut_i_module_v12_FFY_RSTAND_23
    );
  GLOBAL_LOGIC1_VCC : X_ONE
    port map (
      O => GLOBAL_LOGIC1
    );
  NlwBlock_DFF_0_ff_reg_GND : X_ZERO
    port map (
      O => GND
    );
  NlwBlockROC : X_ROC
    port map (O => GSR);
  NlwBlockTOC : X_TOC
    port map (O => GTS);

end STRUCTURE;

