--------------------------------------------------------------------------------
-- Copyright (c) 1995-2007 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____
--  /   /\/   /
-- /___/  \  /    Vendor: Xilinx
-- \   \   \/     Version: J.32
--  \   \         Application: netgen
--  /   /         Filename: NAND20_INST_32_sim.vhd
-- /___/   /\     Timestamp: Wed Nov 26 12:49:43 2008
-- \   \  /  \ 
--  \___\/\___\
--             
-- Command	: -sim -aka -dir netgen_ncd_routed -w -ofmt vhdl -mhf top_routed.ncd 
-- Device	: 2vp30ff896-7 (PRODUCTION 1.92 2006-10-19)
-- Input file	: top_routed.ncd
-- Output file	: D:\Home\kafkal\work\retac\tester\duts\impl\s1488\dut\netgen_ncd_routed\top_routed.vhd
-- # of Entities	: 1215
-- Design Name	: top
-- Module Name	: NAND20_INST_32
-- Xilinx	: C:\PF\ISE_91i_PR\
--             
-- Purpose:    
--     This VHDL netlist is a verification model and uses simulation 
--     primitives which may not represent the true implementation of the 
--     device, however the netlist is functionally correct and should not 
--     be modified. This file cannot be synthesized and should only be used 
--     with supported simulation tools.
--             
-- Reference:  
--     Development System Reference Guide, Chapter 23
--     Synthesis and Simulation Design Guide, Chapter 6
--             
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library SIMPRIM;
use SIMPRIM.VCOMPONENTS.ALL;
use SIMPRIM.VPACKAGE.ALL;

entity NAND20_INST_32 is
  port (
    A : in STD_LOGIC := 'X'; 
    B : in STD_LOGIC := 'X'; 
    Q : out STD_LOGIC 
  );
end NAND20_INST_32;

architecture STRUCTURE of NAND20_INST_32 is
  signal i_dut_i_module_AND2_32_inst_n2_F : STD_LOGIC; -- AKA:i_dut/i_module/AND2_32_inst_n2/F
  signal VCC : STD_LOGIC; 
begin
  i_dut_i_module_AND2_32_inst_n2_XUSED : X_BUF -- AKA:i_dut/i_module/AND2_32_inst_n2/XUSED
    generic map(
      LOC => "SLICE_X59Y89",
      PATHPULSE => 369 ps
    )
    port map (
      I => i_dut_i_module_AND2_32_inst_n2_F,
      O => Q
    );
  Mrom_dout_0_11 : X_LUT4 -- AKA:Mrom_dout<0>11
    generic map(
      INIT => X"33FF",
      LOC => "SLICE_X59Y89"
    )
    port map (
      ADR0 => VCC,
      ADR1 => B,
      ADR2 => VCC,
      ADR3 => A,
      O => i_dut_i_module_AND2_32_inst_n2_F
    );
  NlwBlock_AND2_32_inst_U2_VCC : X_ONE
    port map (
      O => VCC
    );
  NlwBlockROC : X_ROC
    port map (O => GSR);
  NlwBlockTOC : X_TOC
    port map (O => GTS);

end STRUCTURE;

