--------------------------------------------------------------------------------
-- Copyright (c) 1995-2007 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____
--  /   /\/   /
-- /___/  \  /    Vendor: Xilinx
-- \   \   \/     Version: J.32
--  \   \         Application: netgen
--  /   /         Filename: ff_INST_1_sim.vhd
-- /___/   /\     Timestamp: Wed Nov 26 12:49:50 2008
-- \   \  /  \ 
--  \___\/\___\
--             
-- Command	: -sim -aka -dir netgen_ncd_routed -w -ofmt vhdl -mhf top_routed.ncd 
-- Device	: 2vp30ff896-7 (PRODUCTION 1.92 2006-10-19)
-- Input file	: top_routed.ncd
-- Output file	: D:\Home\kafkal\work\retac\tester\duts\impl\s1488\dut\netgen_ncd_routed\top_routed.vhd
-- # of Entities	: 1215
-- Design Name	: top
-- Module Name	: ff_INST_1
-- Xilinx	: C:\PF\ISE_91i_PR\
--             
-- Purpose:    
--     This VHDL netlist is a verification model and uses simulation 
--     primitives which may not represent the true implementation of the 
--     device, however the netlist is functionally correct and should not 
--     be modified. This file cannot be synthesized and should only be used 
--     with supported simulation tools.
--             
-- Reference:  
--     Development System Reference Guide, Chapter 23
--     Synthesis and Simulation Design Guide, Chapter 6
--             
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library SIMPRIM;
use SIMPRIM.VCOMPONENTS.ALL;
use SIMPRIM.VPACKAGE.ALL;

entity ff_INST_1 is
  port (
    clk : in STD_LOGIC := 'X'; 
    en : in STD_LOGIC := 'X'; 
    din : in STD_LOGIC_VECTOR ( 63 downto 0 ); 
    dout : out STD_LOGIC_VECTOR ( 63 downto 0 ) 
  );
end ff_INST_1;

architecture STRUCTURE of ff_INST_1 is
  signal GLOBAL_LOGIC0 : STD_LOGIC; 
  signal i_dut_din_ff_1_DXMUX_53 : STD_LOGIC; -- AKA:i_dut/din_ff<1>/DXMUX
  signal i_dut_din_ff_1_DYMUX_54 : STD_LOGIC; -- AKA:i_dut/din_ff<1>/DYMUX
  signal i_dut_din_ff_1_SRFFMUX_55 : STD_LOGIC; -- AKA:i_dut/din_ff<1>/SRFFMUX
  signal i_dut_din_ff_1_CLKINV_56 : STD_LOGIC; -- AKA:i_dut/din_ff<1>/CLKINV
  signal i_dut_din_ff_1_CEINV_57 : STD_LOGIC; -- AKA:i_dut/din_ff<1>/CEINV
  signal i_dut_din_ff_3_DXMUX_58 : STD_LOGIC; -- AKA:i_dut/din_ff<3>/DXMUX
  signal i_dut_din_ff_3_DYMUX_59 : STD_LOGIC; -- AKA:i_dut/din_ff<3>/DYMUX
  signal i_dut_din_ff_3_SRFFMUX_60 : STD_LOGIC; -- AKA:i_dut/din_ff<3>/SRFFMUX
  signal i_dut_din_ff_3_CLKINV_61 : STD_LOGIC; -- AKA:i_dut/din_ff<3>/CLKINV
  signal i_dut_din_ff_3_CEINV_62 : STD_LOGIC; -- AKA:i_dut/din_ff<3>/CEINV
  signal i_dut_din_ff_5_DXMUX_63 : STD_LOGIC; -- AKA:i_dut/din_ff<5>/DXMUX
  signal i_dut_din_ff_5_DYMUX_64 : STD_LOGIC; -- AKA:i_dut/din_ff<5>/DYMUX
  signal i_dut_din_ff_5_SRFFMUX_65 : STD_LOGIC; -- AKA:i_dut/din_ff<5>/SRFFMUX
  signal i_dut_din_ff_5_CLKINV_66 : STD_LOGIC; -- AKA:i_dut/din_ff<5>/CLKINV
  signal i_dut_din_ff_5_CEINV_67 : STD_LOGIC; -- AKA:i_dut/din_ff<5>/CEINV
  signal i_dut_din_ff_7_DXMUX_68 : STD_LOGIC; -- AKA:i_dut/din_ff<7>/DXMUX
  signal i_dut_din_ff_7_DYMUX_69 : STD_LOGIC; -- AKA:i_dut/din_ff<7>/DYMUX
  signal i_dut_din_ff_7_SRFFMUX_70 : STD_LOGIC; -- AKA:i_dut/din_ff<7>/SRFFMUX
  signal i_dut_din_ff_7_CLKINV_71 : STD_LOGIC; -- AKA:i_dut/din_ff<7>/CLKINV
  signal i_dut_din_ff_7_CEINV_72 : STD_LOGIC; -- AKA:i_dut/din_ff<7>/CEINV
  signal GND : STD_LOGIC; 
begin
  i_dut_din_ff_1_DXMUX : X_BUF -- AKA:i_dut/din_ff<1>/DXMUX
    generic map(
      LOC => "SLICE_X65Y24",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(1),
      O => i_dut_din_ff_1_DXMUX_53
    );
  i_dut_din_ff_1_DYMUX : X_BUF -- AKA:i_dut/din_ff<1>/DYMUX
    generic map(
      LOC => "SLICE_X65Y24",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(0),
      O => i_dut_din_ff_1_DYMUX_54
    );
  i_dut_din_ff_1_SRFFMUX : X_BUF -- AKA:i_dut/din_ff<1>/SRFFMUX
    generic map(
      LOC => "SLICE_X65Y24",
      PATHPULSE => 369 ps
    )
    port map (
      I => GLOBAL_LOGIC0,
      O => i_dut_din_ff_1_SRFFMUX_55
    );
  i_dut_din_ff_1_CLKINV : X_BUF -- AKA:i_dut/din_ff<1>/CLKINV
    generic map(
      LOC => "SLICE_X65Y24",
      PATHPULSE => 369 ps
    )
    port map (
      I => clk,
      O => i_dut_din_ff_1_CLKINV_56
    );
  i_dut_din_ff_1_CEINV : X_BUF -- AKA:i_dut/din_ff<1>/CEINV
    generic map(
      LOC => "SLICE_X65Y24",
      PATHPULSE => 369 ps
    )
    port map (
      I => en,
      O => i_dut_din_ff_1_CEINV_57
    );
  i_dut_din_ff_3_DXMUX : X_BUF -- AKA:i_dut/din_ff<3>/DXMUX
    generic map(
      LOC => "SLICE_X61Y43",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(3),
      O => i_dut_din_ff_3_DXMUX_58
    );
  i_dut_din_ff_3_DYMUX : X_BUF -- AKA:i_dut/din_ff<3>/DYMUX
    generic map(
      LOC => "SLICE_X61Y43",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(2),
      O => i_dut_din_ff_3_DYMUX_59
    );
  i_dut_din_ff_3_SRFFMUX : X_BUF -- AKA:i_dut/din_ff<3>/SRFFMUX
    generic map(
      LOC => "SLICE_X61Y43",
      PATHPULSE => 369 ps
    )
    port map (
      I => GLOBAL_LOGIC0,
      O => i_dut_din_ff_3_SRFFMUX_60
    );
  i_dut_din_ff_3_CLKINV : X_BUF -- AKA:i_dut/din_ff<3>/CLKINV
    generic map(
      LOC => "SLICE_X61Y43",
      PATHPULSE => 369 ps
    )
    port map (
      I => clk,
      O => i_dut_din_ff_3_CLKINV_61
    );
  i_dut_din_ff_3_CEINV : X_BUF -- AKA:i_dut/din_ff<3>/CEINV
    generic map(
      LOC => "SLICE_X61Y43",
      PATHPULSE => 369 ps
    )
    port map (
      I => en,
      O => i_dut_din_ff_3_CEINV_62
    );
  i_dut_din_ff_5_DXMUX : X_BUF -- AKA:i_dut/din_ff<5>/DXMUX
    generic map(
      LOC => "SLICE_X64Y35",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(5),
      O => i_dut_din_ff_5_DXMUX_63
    );
  i_dut_din_ff_5_DYMUX : X_BUF -- AKA:i_dut/din_ff<5>/DYMUX
    generic map(
      LOC => "SLICE_X64Y35",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(4),
      O => i_dut_din_ff_5_DYMUX_64
    );
  i_dut_din_ff_5_SRFFMUX : X_BUF -- AKA:i_dut/din_ff<5>/SRFFMUX
    generic map(
      LOC => "SLICE_X64Y35",
      PATHPULSE => 369 ps
    )
    port map (
      I => GLOBAL_LOGIC0,
      O => i_dut_din_ff_5_SRFFMUX_65
    );
  i_dut_din_ff_5_CLKINV : X_BUF -- AKA:i_dut/din_ff<5>/CLKINV
    generic map(
      LOC => "SLICE_X64Y35",
      PATHPULSE => 369 ps
    )
    port map (
      I => clk,
      O => i_dut_din_ff_5_CLKINV_66
    );
  i_dut_din_ff_5_CEINV : X_BUF -- AKA:i_dut/din_ff<5>/CEINV
    generic map(
      LOC => "SLICE_X64Y35",
      PATHPULSE => 369 ps
    )
    port map (
      I => en,
      O => i_dut_din_ff_5_CEINV_67
    );
  i_dut_din_ff_7_DXMUX : X_BUF -- AKA:i_dut/din_ff<7>/DXMUX
    generic map(
      LOC => "SLICE_X65Y30",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(7),
      O => i_dut_din_ff_7_DXMUX_68
    );
  i_dut_din_ff_7_DYMUX : X_BUF -- AKA:i_dut/din_ff<7>/DYMUX
    generic map(
      LOC => "SLICE_X65Y30",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(6),
      O => i_dut_din_ff_7_DYMUX_69
    );
  i_dut_din_ff_7_SRFFMUX : X_BUF -- AKA:i_dut/din_ff<7>/SRFFMUX
    generic map(
      LOC => "SLICE_X65Y30",
      PATHPULSE => 369 ps
    )
    port map (
      I => GLOBAL_LOGIC0,
      O => i_dut_din_ff_7_SRFFMUX_70
    );
  i_dut_din_ff_7_CLKINV : X_BUF -- AKA:i_dut/din_ff<7>/CLKINV
    generic map(
      LOC => "SLICE_X65Y30",
      PATHPULSE => 369 ps
    )
    port map (
      I => clk,
      O => i_dut_din_ff_7_CLKINV_71
    );
  i_dut_din_ff_7_CEINV : X_BUF -- AKA:i_dut/din_ff<7>/CEINV
    generic map(
      LOC => "SLICE_X65Y30",
      PATHPULSE => 369 ps
    )
    port map (
      I => en,
      O => i_dut_din_ff_7_CEINV_72
    );
  dout_0 : X_FF
    generic map(
      LOC => "SLICE_X65Y24",
      INIT => '0'
    )
    port map (
      I => i_dut_din_ff_1_DYMUX_54,
      CE => i_dut_din_ff_1_CEINV_57,
      CLK => i_dut_din_ff_1_CLKINV_56,
      SET => GND,
      RST => i_dut_din_ff_1_SRFFMUX_55,
      O => dout(0)
    );
  dout_1 : X_FF
    generic map(
      LOC => "SLICE_X65Y24",
      INIT => '0'
    )
    port map (
      I => i_dut_din_ff_1_DXMUX_53,
      CE => i_dut_din_ff_1_CEINV_57,
      CLK => i_dut_din_ff_1_CLKINV_56,
      SET => GND,
      RST => i_dut_din_ff_1_SRFFMUX_55,
      O => dout(1)
    );
  dout_2 : X_FF
    generic map(
      LOC => "SLICE_X61Y43",
      INIT => '0'
    )
    port map (
      I => i_dut_din_ff_3_DYMUX_59,
      CE => i_dut_din_ff_3_CEINV_62,
      CLK => i_dut_din_ff_3_CLKINV_61,
      SET => GND,
      RST => i_dut_din_ff_3_SRFFMUX_60,
      O => dout(2)
    );
  dout_3 : X_FF
    generic map(
      LOC => "SLICE_X61Y43",
      INIT => '0'
    )
    port map (
      I => i_dut_din_ff_3_DXMUX_58,
      CE => i_dut_din_ff_3_CEINV_62,
      CLK => i_dut_din_ff_3_CLKINV_61,
      SET => GND,
      RST => i_dut_din_ff_3_SRFFMUX_60,
      O => dout(3)
    );
  dout_4 : X_FF
    generic map(
      LOC => "SLICE_X64Y35",
      INIT => '0'
    )
    port map (
      I => i_dut_din_ff_5_DYMUX_64,
      CE => i_dut_din_ff_5_CEINV_67,
      CLK => i_dut_din_ff_5_CLKINV_66,
      SET => GND,
      RST => i_dut_din_ff_5_SRFFMUX_65,
      O => dout(4)
    );
  dout_5 : X_FF
    generic map(
      LOC => "SLICE_X64Y35",
      INIT => '0'
    )
    port map (
      I => i_dut_din_ff_5_DXMUX_63,
      CE => i_dut_din_ff_5_CEINV_67,
      CLK => i_dut_din_ff_5_CLKINV_66,
      SET => GND,
      RST => i_dut_din_ff_5_SRFFMUX_65,
      O => dout(5)
    );
  dout_6 : X_FF
    generic map(
      LOC => "SLICE_X65Y30",
      INIT => '0'
    )
    port map (
      I => i_dut_din_ff_7_DYMUX_69,
      CE => i_dut_din_ff_7_CEINV_72,
      CLK => i_dut_din_ff_7_CLKINV_71,
      SET => GND,
      RST => i_dut_din_ff_7_SRFFMUX_70,
      O => dout(6)
    );
  dout_7 : X_FF
    generic map(
      LOC => "SLICE_X65Y30",
      INIT => '0'
    )
    port map (
      I => i_dut_din_ff_7_DXMUX_68,
      CE => i_dut_din_ff_7_CEINV_72,
      CLK => i_dut_din_ff_7_CLKINV_71,
      SET => GND,
      RST => i_dut_din_ff_7_SRFFMUX_70,
      O => dout(7)
    );
  GLOBAL_LOGIC0_GND : X_ZERO
    port map (
      O => GLOBAL_LOGIC0
    );
  NlwBlock_i_ff_din_GND : X_ZERO
    port map (
      O => GND
    );
  NlwBlockROC : X_ROC
    port map (O => GSR);
  NlwBlockTOC : X_TOC
    port map (O => GTS);

end STRUCTURE;

