--------------------------------------------------------------------------------
-- Copyright (c) 1995-2007 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____
--  /   /\/   /
-- /___/  \  /    Vendor: Xilinx
-- \   \   \/     Version: J.32
--  \   \         Application: netgen
--  /   /         Filename: ff_sim.vhd
-- /___/   /\     Timestamp: Wed Nov 26 12:49:51 2008
-- \   \  /  \ 
--  \___\/\___\
--             
-- Command	: -sim -aka -dir netgen_ncd_routed -w -ofmt vhdl -mhf top_routed.ncd 
-- Device	: 2vp30ff896-7 (PRODUCTION 1.92 2006-10-19)
-- Input file	: top_routed.ncd
-- Output file	: D:\Home\kafkal\work\retac\tester\duts\impl\s1488\dut\netgen_ncd_routed\top_routed.vhd
-- # of Entities	: 1215
-- Design Name	: top
-- Module Name	: ff
-- Xilinx	: C:\PF\ISE_91i_PR\
--             
-- Purpose:    
--     This VHDL netlist is a verification model and uses simulation 
--     primitives which may not represent the true implementation of the 
--     device, however the netlist is functionally correct and should not 
--     be modified. This file cannot be synthesized and should only be used 
--     with supported simulation tools.
--             
-- Reference:  
--     Development System Reference Guide, Chapter 23
--     Synthesis and Simulation Design Guide, Chapter 6
--             
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library SIMPRIM;
use SIMPRIM.VCOMPONENTS.ALL;
use SIMPRIM.VPACKAGE.ALL;

entity ff is
  port (
    clk : in STD_LOGIC := 'X'; 
    en : in STD_LOGIC := 'X'; 
    din : in STD_LOGIC_VECTOR ( 63 downto 0 ); 
    dout : out STD_LOGIC_VECTOR ( 63 downto 0 ) 
  );
end ff;

architecture STRUCTURE of ff is
  signal NlwRenamedSig_OI_GLOBAL_LOGIC0 : STD_LOGIC; -- AKA:NlwRenamedSignal_NlwRenamedSig_OI_GLOBAL_LOGIC0
  signal dout_i_bm_i_dut_0_m2s_1_DXMUX_73 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<1>/DXMUX
  signal dout_i_bm_i_dut_0_m2s_1_DYMUX_74 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<1>/DYMUX
  signal dout_i_bm_i_dut_0_m2s_1_SRFFMUX_75 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<1>/SRFFMUX
  signal dout_i_bm_i_dut_0_m2s_1_CLKINV_76 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<1>/CLKINV
  signal dout_i_bm_i_dut_0_m2s_1_CEINV_77 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<1>/CEINV
  signal dout_i_bm_i_dut_0_m2s_3_DXMUX_78 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<3>/DXMUX
  signal dout_i_bm_i_dut_0_m2s_3_DYMUX_79 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<3>/DYMUX
  signal dout_i_bm_i_dut_0_m2s_3_SRFFMUX_80 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<3>/SRFFMUX
  signal dout_i_bm_i_dut_0_m2s_3_CLKINV_81 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<3>/CLKINV
  signal dout_i_bm_i_dut_0_m2s_3_CEINV_82 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<3>/CEINV
  signal dout_i_bm_i_dut_0_m2s_5_DXMUX_83 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<5>/DXMUX
  signal dout_i_bm_i_dut_0_m2s_5_DYMUX_84 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<5>/DYMUX
  signal dout_i_bm_i_dut_0_m2s_5_SRFFMUX_85 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<5>/SRFFMUX
  signal dout_i_bm_i_dut_0_m2s_5_CLKINV_86 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<5>/CLKINV
  signal dout_i_bm_i_dut_0_m2s_5_CEINV_87 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<5>/CEINV
  signal dout_i_bm_i_dut_0_m2s_7_DXMUX_88 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<7>/DXMUX
  signal dout_i_bm_i_dut_0_m2s_7_DYMUX_89 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<7>/DYMUX
  signal dout_i_bm_i_dut_0_m2s_7_SRFFMUX_90 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<7>/SRFFMUX
  signal dout_i_bm_i_dut_0_m2s_7_CLKINV_91 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<7>/CLKINV
  signal dout_i_bm_i_dut_0_m2s_7_CEINV_92 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<7>/CEINV
  signal dout_i_bm_i_dut_0_m2s_9_DXMUX_93 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<9>/DXMUX
  signal dout_i_bm_i_dut_0_m2s_9_DYMUX_94 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<9>/DYMUX
  signal dout_i_bm_i_dut_0_m2s_9_SRFFMUX_95 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<9>/SRFFMUX
  signal dout_i_bm_i_dut_0_m2s_9_CLKINV_96 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<9>/CLKINV
  signal dout_i_bm_i_dut_0_m2s_9_CEINV_97 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<9>/CEINV
  signal dout_i_bm_i_dut_0_m2s_11_DXMUX_98 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<11>/DXMUX
  signal dout_i_bm_i_dut_0_m2s_11_DYMUX_99 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<11>/DYMUX
  signal dout_i_bm_i_dut_0_m2s_11_SRFFMUX_100 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<11>/SRFFMUX
  signal dout_i_bm_i_dut_0_m2s_11_CLKINV_101 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<11>/CLKINV
  signal dout_i_bm_i_dut_0_m2s_11_CEINV_102 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<11>/CEINV
  signal dout_i_bm_i_dut_0_m2s_13_DXMUX_103 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<13>/DXMUX
  signal dout_i_bm_i_dut_0_m2s_13_DYMUX_104 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<13>/DYMUX
  signal dout_i_bm_i_dut_0_m2s_13_SRFFMUX_105 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<13>/SRFFMUX
  signal dout_i_bm_i_dut_0_m2s_13_CLKINV_106 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<13>/CLKINV
  signal dout_i_bm_i_dut_0_m2s_13_CEINV_107 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<13>/CEINV
  signal dout_i_bm_i_dut_0_m2s_15_DXMUX_108 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<15>/DXMUX
  signal dout_i_bm_i_dut_0_m2s_15_DYMUX_109 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<15>/DYMUX
  signal dout_i_bm_i_dut_0_m2s_15_SRFFMUX_110 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<15>/SRFFMUX
  signal dout_i_bm_i_dut_0_m2s_15_CLKINV_111 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<15>/CLKINV
  signal dout_i_bm_i_dut_0_m2s_15_CEINV_112 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<15>/CEINV
  signal dout_i_bm_i_dut_0_m2s_17_DXMUX_113 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<17>/DXMUX
  signal dout_i_bm_i_dut_0_m2s_17_DYMUX_114 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<17>/DYMUX
  signal dout_i_bm_i_dut_0_m2s_17_SRFFMUX_115 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<17>/SRFFMUX
  signal dout_i_bm_i_dut_0_m2s_17_CLKINV_116 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<17>/CLKINV
  signal dout_i_bm_i_dut_0_m2s_17_CEINV_117 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<17>/CEINV
  signal dout_i_bm_i_dut_0_m2s_18_DYMUX_118 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<18>/DYMUX
  signal dout_i_bm_i_dut_0_m2s_18_CLKINV_119 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<18>/CLKINV
  signal dout_i_bm_i_dut_0_m2s_18_CEINV_120 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<18>/CEINV
  signal dout_i_bm_i_dut_0_m2s_18_FFY_RSTAND_121 : STD_LOGIC; -- AKA:dout_i_bm_i_dut_0_m2s<18>/FFY/RSTAND
  signal GND : STD_LOGIC; 
begin
  dout(63) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(62) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(61) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(60) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(59) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(58) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(57) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(56) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(55) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(54) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(53) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(52) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(51) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(50) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(49) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(48) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(47) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(46) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(45) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(44) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(43) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(42) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(41) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(40) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(39) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(38) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(37) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(36) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(35) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(34) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(33) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(32) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(31) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(30) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(29) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(28) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(27) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(26) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(25) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(24) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(23) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(22) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(21) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(20) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout(19) <= NlwRenamedSig_OI_GLOBAL_LOGIC0;
  dout_i_bm_i_dut_0_m2s_1_DXMUX : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<1>/DXMUX
    generic map(
      LOC => "SLICE_X59Y30",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(1),
      O => dout_i_bm_i_dut_0_m2s_1_DXMUX_73
    );
  dout_i_bm_i_dut_0_m2s_1_DYMUX : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<1>/DYMUX
    generic map(
      LOC => "SLICE_X59Y30",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(0),
      O => dout_i_bm_i_dut_0_m2s_1_DYMUX_74
    );
  dout_i_bm_i_dut_0_m2s_1_SRFFMUX : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<1>/SRFFMUX
    generic map(
      LOC => "SLICE_X59Y30",
      PATHPULSE => 369 ps
    )
    port map (
      I => NlwRenamedSig_OI_GLOBAL_LOGIC0,
      O => dout_i_bm_i_dut_0_m2s_1_SRFFMUX_75
    );
  dout_i_bm_i_dut_0_m2s_1_CLKINV : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<1>/CLKINV
    generic map(
      LOC => "SLICE_X59Y30",
      PATHPULSE => 369 ps
    )
    port map (
      I => clk,
      O => dout_i_bm_i_dut_0_m2s_1_CLKINV_76
    );
  dout_i_bm_i_dut_0_m2s_1_CEINV : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<1>/CEINV
    generic map(
      LOC => "SLICE_X59Y30",
      PATHPULSE => 369 ps
    )
    port map (
      I => en,
      O => dout_i_bm_i_dut_0_m2s_1_CEINV_77
    );
  dout_i_bm_i_dut_0_m2s_3_DXMUX : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<3>/DXMUX
    generic map(
      LOC => "SLICE_X57Y40",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(3),
      O => dout_i_bm_i_dut_0_m2s_3_DXMUX_78
    );
  dout_i_bm_i_dut_0_m2s_3_DYMUX : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<3>/DYMUX
    generic map(
      LOC => "SLICE_X57Y40",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(2),
      O => dout_i_bm_i_dut_0_m2s_3_DYMUX_79
    );
  dout_i_bm_i_dut_0_m2s_3_SRFFMUX : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<3>/SRFFMUX
    generic map(
      LOC => "SLICE_X57Y40",
      PATHPULSE => 369 ps
    )
    port map (
      I => NlwRenamedSig_OI_GLOBAL_LOGIC0,
      O => dout_i_bm_i_dut_0_m2s_3_SRFFMUX_80
    );
  dout_i_bm_i_dut_0_m2s_3_CLKINV : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<3>/CLKINV
    generic map(
      LOC => "SLICE_X57Y40",
      PATHPULSE => 369 ps
    )
    port map (
      I => clk,
      O => dout_i_bm_i_dut_0_m2s_3_CLKINV_81
    );
  dout_i_bm_i_dut_0_m2s_3_CEINV : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<3>/CEINV
    generic map(
      LOC => "SLICE_X57Y40",
      PATHPULSE => 369 ps
    )
    port map (
      I => en,
      O => dout_i_bm_i_dut_0_m2s_3_CEINV_82
    );
  dout_i_bm_i_dut_0_m2s_5_DXMUX : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<5>/DXMUX
    generic map(
      LOC => "SLICE_X61Y26",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(5),
      O => dout_i_bm_i_dut_0_m2s_5_DXMUX_83
    );
  dout_i_bm_i_dut_0_m2s_5_DYMUX : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<5>/DYMUX
    generic map(
      LOC => "SLICE_X61Y26",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(4),
      O => dout_i_bm_i_dut_0_m2s_5_DYMUX_84
    );
  dout_i_bm_i_dut_0_m2s_5_SRFFMUX : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<5>/SRFFMUX
    generic map(
      LOC => "SLICE_X61Y26",
      PATHPULSE => 369 ps
    )
    port map (
      I => NlwRenamedSig_OI_GLOBAL_LOGIC0,
      O => dout_i_bm_i_dut_0_m2s_5_SRFFMUX_85
    );
  dout_i_bm_i_dut_0_m2s_5_CLKINV : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<5>/CLKINV
    generic map(
      LOC => "SLICE_X61Y26",
      PATHPULSE => 369 ps
    )
    port map (
      I => clk,
      O => dout_i_bm_i_dut_0_m2s_5_CLKINV_86
    );
  dout_i_bm_i_dut_0_m2s_5_CEINV : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<5>/CEINV
    generic map(
      LOC => "SLICE_X61Y26",
      PATHPULSE => 369 ps
    )
    port map (
      I => en,
      O => dout_i_bm_i_dut_0_m2s_5_CEINV_87
    );
  dout_i_bm_i_dut_0_m2s_7_DXMUX : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<7>/DXMUX
    generic map(
      LOC => "SLICE_X54Y74",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(7),
      O => dout_i_bm_i_dut_0_m2s_7_DXMUX_88
    );
  dout_i_bm_i_dut_0_m2s_7_DYMUX : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<7>/DYMUX
    generic map(
      LOC => "SLICE_X54Y74",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(6),
      O => dout_i_bm_i_dut_0_m2s_7_DYMUX_89
    );
  dout_i_bm_i_dut_0_m2s_7_SRFFMUX : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<7>/SRFFMUX
    generic map(
      LOC => "SLICE_X54Y74",
      PATHPULSE => 369 ps
    )
    port map (
      I => NlwRenamedSig_OI_GLOBAL_LOGIC0,
      O => dout_i_bm_i_dut_0_m2s_7_SRFFMUX_90
    );
  dout_i_bm_i_dut_0_m2s_7_CLKINV : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<7>/CLKINV
    generic map(
      LOC => "SLICE_X54Y74",
      PATHPULSE => 369 ps
    )
    port map (
      I => clk,
      O => dout_i_bm_i_dut_0_m2s_7_CLKINV_91
    );
  dout_i_bm_i_dut_0_m2s_7_CEINV : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<7>/CEINV
    generic map(
      LOC => "SLICE_X54Y74",
      PATHPULSE => 369 ps
    )
    port map (
      I => en,
      O => dout_i_bm_i_dut_0_m2s_7_CEINV_92
    );
  dout_i_bm_i_dut_0_m2s_9_DXMUX : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<9>/DXMUX
    generic map(
      LOC => "SLICE_X57Y67",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(9),
      O => dout_i_bm_i_dut_0_m2s_9_DXMUX_93
    );
  dout_i_bm_i_dut_0_m2s_9_DYMUX : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<9>/DYMUX
    generic map(
      LOC => "SLICE_X57Y67",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(8),
      O => dout_i_bm_i_dut_0_m2s_9_DYMUX_94
    );
  dout_i_bm_i_dut_0_m2s_9_SRFFMUX : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<9>/SRFFMUX
    generic map(
      LOC => "SLICE_X57Y67",
      PATHPULSE => 369 ps
    )
    port map (
      I => NlwRenamedSig_OI_GLOBAL_LOGIC0,
      O => dout_i_bm_i_dut_0_m2s_9_SRFFMUX_95
    );
  dout_i_bm_i_dut_0_m2s_9_CLKINV : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<9>/CLKINV
    generic map(
      LOC => "SLICE_X57Y67",
      PATHPULSE => 369 ps
    )
    port map (
      I => clk,
      O => dout_i_bm_i_dut_0_m2s_9_CLKINV_96
    );
  dout_i_bm_i_dut_0_m2s_9_CEINV : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<9>/CEINV
    generic map(
      LOC => "SLICE_X57Y67",
      PATHPULSE => 369 ps
    )
    port map (
      I => en,
      O => dout_i_bm_i_dut_0_m2s_9_CEINV_97
    );
  dout_i_bm_i_dut_0_m2s_11_DXMUX : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<11>/DXMUX
    generic map(
      LOC => "SLICE_X59Y86",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(11),
      O => dout_i_bm_i_dut_0_m2s_11_DXMUX_98
    );
  dout_i_bm_i_dut_0_m2s_11_DYMUX : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<11>/DYMUX
    generic map(
      LOC => "SLICE_X59Y86",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(10),
      O => dout_i_bm_i_dut_0_m2s_11_DYMUX_99
    );
  dout_i_bm_i_dut_0_m2s_11_SRFFMUX : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<11>/SRFFMUX
    generic map(
      LOC => "SLICE_X59Y86",
      PATHPULSE => 369 ps
    )
    port map (
      I => NlwRenamedSig_OI_GLOBAL_LOGIC0,
      O => dout_i_bm_i_dut_0_m2s_11_SRFFMUX_100
    );
  dout_i_bm_i_dut_0_m2s_11_CLKINV : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<11>/CLKINV
    generic map(
      LOC => "SLICE_X59Y86",
      PATHPULSE => 369 ps
    )
    port map (
      I => clk,
      O => dout_i_bm_i_dut_0_m2s_11_CLKINV_101
    );
  dout_i_bm_i_dut_0_m2s_11_CEINV : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<11>/CEINV
    generic map(
      LOC => "SLICE_X59Y86",
      PATHPULSE => 369 ps
    )
    port map (
      I => en,
      O => dout_i_bm_i_dut_0_m2s_11_CEINV_102
    );
  dout_i_bm_i_dut_0_m2s_13_DXMUX : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<13>/DXMUX
    generic map(
      LOC => "SLICE_X56Y79",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(13),
      O => dout_i_bm_i_dut_0_m2s_13_DXMUX_103
    );
  dout_i_bm_i_dut_0_m2s_13_DYMUX : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<13>/DYMUX
    generic map(
      LOC => "SLICE_X56Y79",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(12),
      O => dout_i_bm_i_dut_0_m2s_13_DYMUX_104
    );
  dout_i_bm_i_dut_0_m2s_13_SRFFMUX : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<13>/SRFFMUX
    generic map(
      LOC => "SLICE_X56Y79",
      PATHPULSE => 369 ps
    )
    port map (
      I => NlwRenamedSig_OI_GLOBAL_LOGIC0,
      O => dout_i_bm_i_dut_0_m2s_13_SRFFMUX_105
    );
  dout_i_bm_i_dut_0_m2s_13_CLKINV : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<13>/CLKINV
    generic map(
      LOC => "SLICE_X56Y79",
      PATHPULSE => 369 ps
    )
    port map (
      I => clk,
      O => dout_i_bm_i_dut_0_m2s_13_CLKINV_106
    );
  dout_i_bm_i_dut_0_m2s_13_CEINV : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<13>/CEINV
    generic map(
      LOC => "SLICE_X56Y79",
      PATHPULSE => 369 ps
    )
    port map (
      I => en,
      O => dout_i_bm_i_dut_0_m2s_13_CEINV_107
    );
  dout_i_bm_i_dut_0_m2s_15_DXMUX : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<15>/DXMUX
    generic map(
      LOC => "SLICE_X57Y78",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(15),
      O => dout_i_bm_i_dut_0_m2s_15_DXMUX_108
    );
  dout_i_bm_i_dut_0_m2s_15_DYMUX : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<15>/DYMUX
    generic map(
      LOC => "SLICE_X57Y78",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(14),
      O => dout_i_bm_i_dut_0_m2s_15_DYMUX_109
    );
  dout_i_bm_i_dut_0_m2s_15_SRFFMUX : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<15>/SRFFMUX
    generic map(
      LOC => "SLICE_X57Y78",
      PATHPULSE => 369 ps
    )
    port map (
      I => NlwRenamedSig_OI_GLOBAL_LOGIC0,
      O => dout_i_bm_i_dut_0_m2s_15_SRFFMUX_110
    );
  dout_i_bm_i_dut_0_m2s_15_CLKINV : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<15>/CLKINV
    generic map(
      LOC => "SLICE_X57Y78",
      PATHPULSE => 369 ps
    )
    port map (
      I => clk,
      O => dout_i_bm_i_dut_0_m2s_15_CLKINV_111
    );
  dout_i_bm_i_dut_0_m2s_15_CEINV : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<15>/CEINV
    generic map(
      LOC => "SLICE_X57Y78",
      PATHPULSE => 369 ps
    )
    port map (
      I => en,
      O => dout_i_bm_i_dut_0_m2s_15_CEINV_112
    );
  dout_i_bm_i_dut_0_m2s_17_DXMUX : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<17>/DXMUX
    generic map(
      LOC => "SLICE_X60Y64",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(17),
      O => dout_i_bm_i_dut_0_m2s_17_DXMUX_113
    );
  dout_i_bm_i_dut_0_m2s_17_DYMUX : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<17>/DYMUX
    generic map(
      LOC => "SLICE_X60Y64",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(16),
      O => dout_i_bm_i_dut_0_m2s_17_DYMUX_114
    );
  dout_i_bm_i_dut_0_m2s_17_SRFFMUX : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<17>/SRFFMUX
    generic map(
      LOC => "SLICE_X60Y64",
      PATHPULSE => 369 ps
    )
    port map (
      I => NlwRenamedSig_OI_GLOBAL_LOGIC0,
      O => dout_i_bm_i_dut_0_m2s_17_SRFFMUX_115
    );
  dout_i_bm_i_dut_0_m2s_17_CLKINV : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<17>/CLKINV
    generic map(
      LOC => "SLICE_X60Y64",
      PATHPULSE => 369 ps
    )
    port map (
      I => clk,
      O => dout_i_bm_i_dut_0_m2s_17_CLKINV_116
    );
  dout_i_bm_i_dut_0_m2s_17_CEINV : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<17>/CEINV
    generic map(
      LOC => "SLICE_X60Y64",
      PATHPULSE => 369 ps
    )
    port map (
      I => en,
      O => dout_i_bm_i_dut_0_m2s_17_CEINV_117
    );
  dout_i_bm_i_dut_0_m2s_18_DYMUX : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<18>/DYMUX
    generic map(
      LOC => "SLICE_X56Y61",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(18),
      O => dout_i_bm_i_dut_0_m2s_18_DYMUX_118
    );
  dout_i_bm_i_dut_0_m2s_18_CLKINV : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<18>/CLKINV
    generic map(
      LOC => "SLICE_X56Y61",
      PATHPULSE => 369 ps
    )
    port map (
      I => clk,
      O => dout_i_bm_i_dut_0_m2s_18_CLKINV_119
    );
  dout_i_bm_i_dut_0_m2s_18_CEINV : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<18>/CEINV
    generic map(
      LOC => "SLICE_X56Y61",
      PATHPULSE => 369 ps
    )
    port map (
      I => en,
      O => dout_i_bm_i_dut_0_m2s_18_CEINV_120
    );
  dout_12 : X_FF
    generic map(
      LOC => "SLICE_X56Y79",
      INIT => '0'
    )
    port map (
      I => dout_i_bm_i_dut_0_m2s_13_DYMUX_104,
      CE => dout_i_bm_i_dut_0_m2s_13_CEINV_107,
      CLK => dout_i_bm_i_dut_0_m2s_13_CLKINV_106,
      SET => GND,
      RST => dout_i_bm_i_dut_0_m2s_13_SRFFMUX_105,
      O => dout(12)
    );
  dout_13 : X_FF
    generic map(
      LOC => "SLICE_X56Y79",
      INIT => '0'
    )
    port map (
      I => dout_i_bm_i_dut_0_m2s_13_DXMUX_103,
      CE => dout_i_bm_i_dut_0_m2s_13_CEINV_107,
      CLK => dout_i_bm_i_dut_0_m2s_13_CLKINV_106,
      SET => GND,
      RST => dout_i_bm_i_dut_0_m2s_13_SRFFMUX_105,
      O => dout(13)
    );
  dout_14 : X_FF
    generic map(
      LOC => "SLICE_X57Y78",
      INIT => '0'
    )
    port map (
      I => dout_i_bm_i_dut_0_m2s_15_DYMUX_109,
      CE => dout_i_bm_i_dut_0_m2s_15_CEINV_112,
      CLK => dout_i_bm_i_dut_0_m2s_15_CLKINV_111,
      SET => GND,
      RST => dout_i_bm_i_dut_0_m2s_15_SRFFMUX_110,
      O => dout(14)
    );
  dout_15 : X_FF
    generic map(
      LOC => "SLICE_X57Y78",
      INIT => '0'
    )
    port map (
      I => dout_i_bm_i_dut_0_m2s_15_DXMUX_108,
      CE => dout_i_bm_i_dut_0_m2s_15_CEINV_112,
      CLK => dout_i_bm_i_dut_0_m2s_15_CLKINV_111,
      SET => GND,
      RST => dout_i_bm_i_dut_0_m2s_15_SRFFMUX_110,
      O => dout(15)
    );
  dout_16 : X_FF
    generic map(
      LOC => "SLICE_X60Y64",
      INIT => '0'
    )
    port map (
      I => dout_i_bm_i_dut_0_m2s_17_DYMUX_114,
      CE => dout_i_bm_i_dut_0_m2s_17_CEINV_117,
      CLK => dout_i_bm_i_dut_0_m2s_17_CLKINV_116,
      SET => GND,
      RST => dout_i_bm_i_dut_0_m2s_17_SRFFMUX_115,
      O => dout(16)
    );
  dout_17 : X_FF
    generic map(
      LOC => "SLICE_X60Y64",
      INIT => '0'
    )
    port map (
      I => dout_i_bm_i_dut_0_m2s_17_DXMUX_113,
      CE => dout_i_bm_i_dut_0_m2s_17_CEINV_117,
      CLK => dout_i_bm_i_dut_0_m2s_17_CLKINV_116,
      SET => GND,
      RST => dout_i_bm_i_dut_0_m2s_17_SRFFMUX_115,
      O => dout(17)
    );
  dout_18 : X_FF
    generic map(
      LOC => "SLICE_X56Y61",
      INIT => '0'
    )
    port map (
      I => dout_i_bm_i_dut_0_m2s_18_DYMUX_118,
      CE => dout_i_bm_i_dut_0_m2s_18_CEINV_120,
      CLK => dout_i_bm_i_dut_0_m2s_18_CLKINV_119,
      SET => GND,
      RST => dout_i_bm_i_dut_0_m2s_18_FFY_RSTAND_121,
      O => dout(18)
    );
  dout_i_bm_i_dut_0_m2s_18_FFY_RSTAND : X_BUF -- AKA:dout_i_bm_i_dut_0_m2s<18>/FFY/RSTAND
    generic map(
      LOC => "SLICE_X56Y61",
      PATHPULSE => 369 ps
    )
    port map (
      I => NlwRenamedSig_OI_GLOBAL_LOGIC0,
      O => dout_i_bm_i_dut_0_m2s_18_FFY_RSTAND_121
    );
  dout_0 : X_FF
    generic map(
      LOC => "SLICE_X59Y30",
      INIT => '0'
    )
    port map (
      I => dout_i_bm_i_dut_0_m2s_1_DYMUX_74,
      CE => dout_i_bm_i_dut_0_m2s_1_CEINV_77,
      CLK => dout_i_bm_i_dut_0_m2s_1_CLKINV_76,
      SET => GND,
      RST => dout_i_bm_i_dut_0_m2s_1_SRFFMUX_75,
      O => dout(0)
    );
  dout_1 : X_FF
    generic map(
      LOC => "SLICE_X59Y30",
      INIT => '0'
    )
    port map (
      I => dout_i_bm_i_dut_0_m2s_1_DXMUX_73,
      CE => dout_i_bm_i_dut_0_m2s_1_CEINV_77,
      CLK => dout_i_bm_i_dut_0_m2s_1_CLKINV_76,
      SET => GND,
      RST => dout_i_bm_i_dut_0_m2s_1_SRFFMUX_75,
      O => dout(1)
    );
  dout_2 : X_FF
    generic map(
      LOC => "SLICE_X57Y40",
      INIT => '0'
    )
    port map (
      I => dout_i_bm_i_dut_0_m2s_3_DYMUX_79,
      CE => dout_i_bm_i_dut_0_m2s_3_CEINV_82,
      CLK => dout_i_bm_i_dut_0_m2s_3_CLKINV_81,
      SET => GND,
      RST => dout_i_bm_i_dut_0_m2s_3_SRFFMUX_80,
      O => dout(2)
    );
  dout_3 : X_FF
    generic map(
      LOC => "SLICE_X57Y40",
      INIT => '0'
    )
    port map (
      I => dout_i_bm_i_dut_0_m2s_3_DXMUX_78,
      CE => dout_i_bm_i_dut_0_m2s_3_CEINV_82,
      CLK => dout_i_bm_i_dut_0_m2s_3_CLKINV_81,
      SET => GND,
      RST => dout_i_bm_i_dut_0_m2s_3_SRFFMUX_80,
      O => dout(3)
    );
  dout_4 : X_FF
    generic map(
      LOC => "SLICE_X61Y26",
      INIT => '0'
    )
    port map (
      I => dout_i_bm_i_dut_0_m2s_5_DYMUX_84,
      CE => dout_i_bm_i_dut_0_m2s_5_CEINV_87,
      CLK => dout_i_bm_i_dut_0_m2s_5_CLKINV_86,
      SET => GND,
      RST => dout_i_bm_i_dut_0_m2s_5_SRFFMUX_85,
      O => dout(4)
    );
  dout_5 : X_FF
    generic map(
      LOC => "SLICE_X61Y26",
      INIT => '0'
    )
    port map (
      I => dout_i_bm_i_dut_0_m2s_5_DXMUX_83,
      CE => dout_i_bm_i_dut_0_m2s_5_CEINV_87,
      CLK => dout_i_bm_i_dut_0_m2s_5_CLKINV_86,
      SET => GND,
      RST => dout_i_bm_i_dut_0_m2s_5_SRFFMUX_85,
      O => dout(5)
    );
  dout_6 : X_FF
    generic map(
      LOC => "SLICE_X54Y74",
      INIT => '0'
    )
    port map (
      I => dout_i_bm_i_dut_0_m2s_7_DYMUX_89,
      CE => dout_i_bm_i_dut_0_m2s_7_CEINV_92,
      CLK => dout_i_bm_i_dut_0_m2s_7_CLKINV_91,
      SET => GND,
      RST => dout_i_bm_i_dut_0_m2s_7_SRFFMUX_90,
      O => dout(6)
    );
  dout_7 : X_FF
    generic map(
      LOC => "SLICE_X54Y74",
      INIT => '0'
    )
    port map (
      I => dout_i_bm_i_dut_0_m2s_7_DXMUX_88,
      CE => dout_i_bm_i_dut_0_m2s_7_CEINV_92,
      CLK => dout_i_bm_i_dut_0_m2s_7_CLKINV_91,
      SET => GND,
      RST => dout_i_bm_i_dut_0_m2s_7_SRFFMUX_90,
      O => dout(7)
    );
  dout_8 : X_FF
    generic map(
      LOC => "SLICE_X57Y67",
      INIT => '0'
    )
    port map (
      I => dout_i_bm_i_dut_0_m2s_9_DYMUX_94,
      CE => dout_i_bm_i_dut_0_m2s_9_CEINV_97,
      CLK => dout_i_bm_i_dut_0_m2s_9_CLKINV_96,
      SET => GND,
      RST => dout_i_bm_i_dut_0_m2s_9_SRFFMUX_95,
      O => dout(8)
    );
  dout_9 : X_FF
    generic map(
      LOC => "SLICE_X57Y67",
      INIT => '0'
    )
    port map (
      I => dout_i_bm_i_dut_0_m2s_9_DXMUX_93,
      CE => dout_i_bm_i_dut_0_m2s_9_CEINV_97,
      CLK => dout_i_bm_i_dut_0_m2s_9_CLKINV_96,
      SET => GND,
      RST => dout_i_bm_i_dut_0_m2s_9_SRFFMUX_95,
      O => dout(9)
    );
  dout_10 : X_FF
    generic map(
      LOC => "SLICE_X59Y86",
      INIT => '0'
    )
    port map (
      I => dout_i_bm_i_dut_0_m2s_11_DYMUX_99,
      CE => dout_i_bm_i_dut_0_m2s_11_CEINV_102,
      CLK => dout_i_bm_i_dut_0_m2s_11_CLKINV_101,
      SET => GND,
      RST => dout_i_bm_i_dut_0_m2s_11_SRFFMUX_100,
      O => dout(10)
    );
  dout_11 : X_FF
    generic map(
      LOC => "SLICE_X59Y86",
      INIT => '0'
    )
    port map (
      I => dout_i_bm_i_dut_0_m2s_11_DXMUX_98,
      CE => dout_i_bm_i_dut_0_m2s_11_CEINV_102,
      CLK => dout_i_bm_i_dut_0_m2s_11_CLKINV_101,
      SET => GND,
      RST => dout_i_bm_i_dut_0_m2s_11_SRFFMUX_100,
      O => dout(11)
    );
  GLOBAL_LOGIC0_GND : X_ZERO
    port map (
      O => NlwRenamedSig_OI_GLOBAL_LOGIC0
    );
  NlwBlock_i_ff_dout_GND : X_ZERO
    port map (
      O => GND
    );
  NlwBlockROC : X_ROC
    port map (O => GSR);
  NlwBlockTOC : X_TOC
    port map (O => GTS);

end STRUCTURE;

