--------------------------------------------------------------------------------
-- Copyright (c) 1995-2007 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____
--  /   /\/   /
-- /___/  \  /    Vendor: Xilinx
-- \   \   \/     Version: J.32
--  \   \         Application: netgen
--  /   /         Filename: sr_sim.vhd
-- /___/   /\     Timestamp: Wed Nov 26 12:49:50 2008
-- \   \  /  \ 
--  \___\/\___\
--             
-- Command	: -sim -aka -dir netgen_ncd_routed -w -ofmt vhdl -mhf top_routed.ncd 
-- Device	: 2vp30ff896-7 (PRODUCTION 1.92 2006-10-19)
-- Input file	: top_routed.ncd
-- Output file	: D:\Home\kafkal\work\retac\tester\duts\impl\s1488\dut\netgen_ncd_routed\top_routed.vhd
-- # of Entities	: 1215
-- Design Name	: top
-- Module Name	: sr
-- Xilinx	: C:\PF\ISE_91i_PR\
--             
-- Purpose:    
--     This VHDL netlist is a verification model and uses simulation 
--     primitives which may not represent the true implementation of the 
--     device, however the netlist is functionally correct and should not 
--     be modified. This file cannot be synthesized and should only be used 
--     with supported simulation tools.
--             
-- Reference:  
--     Development System Reference Guide, Chapter 23
--     Synthesis and Simulation Design Guide, Chapter 6
--             
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library SIMPRIM;
use SIMPRIM.VCOMPONENTS.ALL;
use SIMPRIM.VPACKAGE.ALL;

entity sr is
  port (
    clk : in STD_LOGIC := 'X'; 
    en : in STD_LOGIC := 'X'; 
    din : in STD_LOGIC_VECTOR ( 4 downto 0 ); 
    dout : out STD_LOGIC_VECTOR ( 4 downto 0 ) 
  );
end sr;

architecture STRUCTURE of sr is
  signal GLOBAL_LOGIC0 : STD_LOGIC; 
  signal ctrl_dly_out_i_bm_i_dut_0_m2s_1_DXMUX_24 : STD_LOGIC; -- AKA:ctrl_dly_out_i_bm_i_dut_0_m2s<1>/DXMUX
  signal ctrl_dly_out_i_bm_i_dut_0_m2s_1_DYMUX_25 : STD_LOGIC; -- AKA:ctrl_dly_out_i_bm_i_dut_0_m2s<1>/DYMUX
  signal ctrl_dly_out_i_bm_i_dut_0_m2s_1_SRFFMUX_26 : STD_LOGIC; -- AKA:ctrl_dly_out_i_bm_i_dut_0_m2s<1>/SRFFMUX
  signal ctrl_dly_out_i_bm_i_dut_0_m2s_1_CLKINV_27 : STD_LOGIC; -- AKA:ctrl_dly_out_i_bm_i_dut_0_m2s<1>/CLKINV
  signal ctrl_dly_out_i_bm_i_dut_0_m2s_1_CEINV_28 : STD_LOGIC; -- AKA:ctrl_dly_out_i_bm_i_dut_0_m2s<1>/CEINV
  signal ctrl_dly_out_i_bm_i_dut_0_m2s_3_DXMUX_29 : STD_LOGIC; -- AKA:ctrl_dly_out_i_bm_i_dut_0_m2s<3>/DXMUX
  signal ctrl_dly_out_i_bm_i_dut_0_m2s_3_DYMUX_30 : STD_LOGIC; -- AKA:ctrl_dly_out_i_bm_i_dut_0_m2s<3>/DYMUX
  signal ctrl_dly_out_i_bm_i_dut_0_m2s_3_SRFFMUX_31 : STD_LOGIC; -- AKA:ctrl_dly_out_i_bm_i_dut_0_m2s<3>/SRFFMUX
  signal ctrl_dly_out_i_bm_i_dut_0_m2s_3_CLKINV_32 : STD_LOGIC; -- AKA:ctrl_dly_out_i_bm_i_dut_0_m2s<3>/CLKINV
  signal ctrl_dly_out_i_bm_i_dut_0_m2s_3_CEINV_33 : STD_LOGIC; -- AKA:ctrl_dly_out_i_bm_i_dut_0_m2s<3>/CEINV
  signal ctrl_dly_out_i_bm_i_dut_0_m2s_4_DYMUX_34 : STD_LOGIC; -- AKA:ctrl_dly_out_i_bm_i_dut_0_m2s<4>/DYMUX
  signal ctrl_dly_out_i_bm_i_dut_0_m2s_4_CLKINV_35 : STD_LOGIC; -- AKA:ctrl_dly_out_i_bm_i_dut_0_m2s<4>/CLKINV
  signal ctrl_dly_out_i_bm_i_dut_0_m2s_4_CEINV_36 : STD_LOGIC; -- AKA:ctrl_dly_out_i_bm_i_dut_0_m2s<4>/CEINV
  signal Mshreg_dout_0_37 : STD_LOGIC; -- AKA:Mshreg_dout_0
  signal i_dut_i_sr_ctrl_Mshreg_dout_0_DIG_MUX_38 : STD_LOGIC; -- AKA:i_dut/i_sr_ctrl/Mshreg_dout_0/DIG_MUX
  signal i_dut_i_sr_ctrl_Mshreg_dout_0_CLKINV_39 : STD_LOGIC; -- AKA:i_dut/i_sr_ctrl/Mshreg_dout_0/CLKINV
  signal i_dut_i_sr_ctrl_Mshreg_dout_0_WSG : STD_LOGIC; -- AKA:i_dut/i_sr_ctrl/Mshreg_dout_0/WSG
  signal Mshreg_dout_1_40 : STD_LOGIC; -- AKA:Mshreg_dout_1
  signal i_dut_i_sr_ctrl_Mshreg_dout_1_DIG_MUX_41 : STD_LOGIC; -- AKA:i_dut/i_sr_ctrl/Mshreg_dout_1/DIG_MUX
  signal i_dut_i_sr_ctrl_Mshreg_dout_1_CLKINV_42 : STD_LOGIC; -- AKA:i_dut/i_sr_ctrl/Mshreg_dout_1/CLKINV
  signal i_dut_i_sr_ctrl_Mshreg_dout_1_WSG : STD_LOGIC; -- AKA:i_dut/i_sr_ctrl/Mshreg_dout_1/WSG
  signal Mshreg_dout_2_43 : STD_LOGIC; -- AKA:Mshreg_dout_2
  signal i_dut_i_sr_ctrl_Mshreg_dout_2_DIG_MUX_44 : STD_LOGIC; -- AKA:i_dut/i_sr_ctrl/Mshreg_dout_2/DIG_MUX
  signal i_dut_i_sr_ctrl_Mshreg_dout_2_CLKINV_45 : STD_LOGIC; -- AKA:i_dut/i_sr_ctrl/Mshreg_dout_2/CLKINV
  signal i_dut_i_sr_ctrl_Mshreg_dout_2_WSG : STD_LOGIC; -- AKA:i_dut/i_sr_ctrl/Mshreg_dout_2/WSG
  signal Mshreg_dout_3_46 : STD_LOGIC; -- AKA:Mshreg_dout_3
  signal i_dut_i_sr_ctrl_Mshreg_dout_3_DIG_MUX_47 : STD_LOGIC; -- AKA:i_dut/i_sr_ctrl/Mshreg_dout_3/DIG_MUX
  signal i_dut_i_sr_ctrl_Mshreg_dout_3_CLKINV_48 : STD_LOGIC; -- AKA:i_dut/i_sr_ctrl/Mshreg_dout_3/CLKINV
  signal i_dut_i_sr_ctrl_Mshreg_dout_3_WSG : STD_LOGIC; -- AKA:i_dut/i_sr_ctrl/Mshreg_dout_3/WSG
  signal Mshreg_dout_4_49 : STD_LOGIC; -- AKA:Mshreg_dout_4
  signal i_dut_i_sr_ctrl_Mshreg_dout_4_DIG_MUX_50 : STD_LOGIC; -- AKA:i_dut/i_sr_ctrl/Mshreg_dout_4/DIG_MUX
  signal i_dut_i_sr_ctrl_Mshreg_dout_4_CLKINV_51 : STD_LOGIC; -- AKA:i_dut/i_sr_ctrl/Mshreg_dout_4/CLKINV
  signal i_dut_i_sr_ctrl_Mshreg_dout_4_WSG : STD_LOGIC; -- AKA:i_dut/i_sr_ctrl/Mshreg_dout_4/WSG
  signal ctrl_dly_out_i_bm_i_dut_0_m2s_4_FFY_RSTAND_52 : STD_LOGIC; -- AKA:ctrl_dly_out_i_bm_i_dut_0_m2s<4>/FFY/RSTAND
  signal NLW_Mshreg_dout_0_Q15_UNCONNECTED : STD_LOGIC; 
  signal NLW_Mshreg_dout_1_Q15_UNCONNECTED : STD_LOGIC; 
  signal NLW_Mshreg_dout_2_Q15_UNCONNECTED : STD_LOGIC; 
  signal NLW_Mshreg_dout_3_Q15_UNCONNECTED : STD_LOGIC; 
  signal NLW_Mshreg_dout_4_Q15_UNCONNECTED : STD_LOGIC; 
  signal GND : STD_LOGIC; 
begin
  ctrl_dly_out_i_bm_i_dut_0_m2s_1_DXMUX : X_BUF -- AKA:ctrl_dly_out_i_bm_i_dut_0_m2s<1>/DXMUX
    generic map(
      LOC => "SLICE_X54Y26",
      PATHPULSE => 369 ps
    )
    port map (
      I => Mshreg_dout_1_40,
      O => ctrl_dly_out_i_bm_i_dut_0_m2s_1_DXMUX_24
    );
  ctrl_dly_out_i_bm_i_dut_0_m2s_1_DYMUX : X_BUF -- AKA:ctrl_dly_out_i_bm_i_dut_0_m2s<1>/DYMUX
    generic map(
      LOC => "SLICE_X54Y26",
      PATHPULSE => 369 ps
    )
    port map (
      I => Mshreg_dout_0_37,
      O => ctrl_dly_out_i_bm_i_dut_0_m2s_1_DYMUX_25
    );
  ctrl_dly_out_i_bm_i_dut_0_m2s_1_SRFFMUX : X_BUF -- AKA:ctrl_dly_out_i_bm_i_dut_0_m2s<1>/SRFFMUX
    generic map(
      LOC => "SLICE_X54Y26",
      PATHPULSE => 369 ps
    )
    port map (
      I => GLOBAL_LOGIC0,
      O => ctrl_dly_out_i_bm_i_dut_0_m2s_1_SRFFMUX_26
    );
  ctrl_dly_out_i_bm_i_dut_0_m2s_1_CLKINV : X_BUF -- AKA:ctrl_dly_out_i_bm_i_dut_0_m2s<1>/CLKINV
    generic map(
      LOC => "SLICE_X54Y26",
      PATHPULSE => 369 ps
    )
    port map (
      I => clk,
      O => ctrl_dly_out_i_bm_i_dut_0_m2s_1_CLKINV_27
    );
  ctrl_dly_out_i_bm_i_dut_0_m2s_1_CEINV : X_BUF -- AKA:ctrl_dly_out_i_bm_i_dut_0_m2s<1>/CEINV
    generic map(
      LOC => "SLICE_X54Y26",
      PATHPULSE => 369 ps
    )
    port map (
      I => en,
      O => ctrl_dly_out_i_bm_i_dut_0_m2s_1_CEINV_28
    );
  ctrl_dly_out_i_bm_i_dut_0_m2s_3_DXMUX : X_BUF -- AKA:ctrl_dly_out_i_bm_i_dut_0_m2s<3>/DXMUX
    generic map(
      LOC => "SLICE_X54Y27",
      PATHPULSE => 369 ps
    )
    port map (
      I => Mshreg_dout_3_46,
      O => ctrl_dly_out_i_bm_i_dut_0_m2s_3_DXMUX_29
    );
  ctrl_dly_out_i_bm_i_dut_0_m2s_3_DYMUX : X_BUF -- AKA:ctrl_dly_out_i_bm_i_dut_0_m2s<3>/DYMUX
    generic map(
      LOC => "SLICE_X54Y27",
      PATHPULSE => 369 ps
    )
    port map (
      I => Mshreg_dout_2_43,
      O => ctrl_dly_out_i_bm_i_dut_0_m2s_3_DYMUX_30
    );
  ctrl_dly_out_i_bm_i_dut_0_m2s_3_SRFFMUX : X_BUF -- AKA:ctrl_dly_out_i_bm_i_dut_0_m2s<3>/SRFFMUX
    generic map(
      LOC => "SLICE_X54Y27",
      PATHPULSE => 369 ps
    )
    port map (
      I => GLOBAL_LOGIC0,
      O => ctrl_dly_out_i_bm_i_dut_0_m2s_3_SRFFMUX_31
    );
  ctrl_dly_out_i_bm_i_dut_0_m2s_3_CLKINV : X_BUF -- AKA:ctrl_dly_out_i_bm_i_dut_0_m2s<3>/CLKINV
    generic map(
      LOC => "SLICE_X54Y27",
      PATHPULSE => 369 ps
    )
    port map (
      I => clk,
      O => ctrl_dly_out_i_bm_i_dut_0_m2s_3_CLKINV_32
    );
  ctrl_dly_out_i_bm_i_dut_0_m2s_3_CEINV : X_BUF -- AKA:ctrl_dly_out_i_bm_i_dut_0_m2s<3>/CEINV
    generic map(
      LOC => "SLICE_X54Y27",
      PATHPULSE => 369 ps
    )
    port map (
      I => en,
      O => ctrl_dly_out_i_bm_i_dut_0_m2s_3_CEINV_33
    );
  ctrl_dly_out_i_bm_i_dut_0_m2s_4_DYMUX : X_BUF -- AKA:ctrl_dly_out_i_bm_i_dut_0_m2s<4>/DYMUX
    generic map(
      LOC => "SLICE_X56Y27",
      PATHPULSE => 369 ps
    )
    port map (
      I => Mshreg_dout_4_49,
      O => ctrl_dly_out_i_bm_i_dut_0_m2s_4_DYMUX_34
    );
  ctrl_dly_out_i_bm_i_dut_0_m2s_4_CLKINV : X_BUF -- AKA:ctrl_dly_out_i_bm_i_dut_0_m2s<4>/CLKINV
    generic map(
      LOC => "SLICE_X56Y27",
      PATHPULSE => 369 ps
    )
    port map (
      I => clk,
      O => ctrl_dly_out_i_bm_i_dut_0_m2s_4_CLKINV_35
    );
  ctrl_dly_out_i_bm_i_dut_0_m2s_4_CEINV : X_BUF -- AKA:ctrl_dly_out_i_bm_i_dut_0_m2s<4>/CEINV
    generic map(
      LOC => "SLICE_X56Y27",
      PATHPULSE => 369 ps
    )
    port map (
      I => en,
      O => ctrl_dly_out_i_bm_i_dut_0_m2s_4_CEINV_36
    );
  i_dut_i_sr_ctrl_Mshreg_dout_0_DIG_MUX : X_BUF -- AKA:i_dut/i_sr_ctrl/Mshreg_dout_0/DIG_MUX
    generic map(
      LOC => "SLICE_X54Y16",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(0),
      O => i_dut_i_sr_ctrl_Mshreg_dout_0_DIG_MUX_38
    );
  i_dut_i_sr_ctrl_Mshreg_dout_0_CLKINV : X_BUF -- AKA:i_dut/i_sr_ctrl/Mshreg_dout_0/CLKINV
    generic map(
      LOC => "SLICE_X54Y16",
      PATHPULSE => 369 ps
    )
    port map (
      I => clk,
      O => i_dut_i_sr_ctrl_Mshreg_dout_0_CLKINV_39
    );
  i_dut_i_sr_ctrl_Mshreg_dout_1_DIG_MUX : X_BUF -- AKA:i_dut/i_sr_ctrl/Mshreg_dout_1/DIG_MUX
    generic map(
      LOC => "SLICE_X54Y17",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(1),
      O => i_dut_i_sr_ctrl_Mshreg_dout_1_DIG_MUX_41
    );
  i_dut_i_sr_ctrl_Mshreg_dout_1_CLKINV : X_BUF -- AKA:i_dut/i_sr_ctrl/Mshreg_dout_1/CLKINV
    generic map(
      LOC => "SLICE_X54Y17",
      PATHPULSE => 369 ps
    )
    port map (
      I => clk,
      O => i_dut_i_sr_ctrl_Mshreg_dout_1_CLKINV_42
    );
  i_dut_i_sr_ctrl_Mshreg_dout_2_DIG_MUX : X_BUF -- AKA:i_dut/i_sr_ctrl/Mshreg_dout_2/DIG_MUX
    generic map(
      LOC => "SLICE_X55Y16",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(2),
      O => i_dut_i_sr_ctrl_Mshreg_dout_2_DIG_MUX_44
    );
  i_dut_i_sr_ctrl_Mshreg_dout_2_CLKINV : X_BUF -- AKA:i_dut/i_sr_ctrl/Mshreg_dout_2/CLKINV
    generic map(
      LOC => "SLICE_X55Y16",
      PATHPULSE => 369 ps
    )
    port map (
      I => clk,
      O => i_dut_i_sr_ctrl_Mshreg_dout_2_CLKINV_45
    );
  i_dut_i_sr_ctrl_Mshreg_dout_3_DIG_MUX : X_BUF -- AKA:i_dut/i_sr_ctrl/Mshreg_dout_3/DIG_MUX
    generic map(
      LOC => "SLICE_X55Y17",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(3),
      O => i_dut_i_sr_ctrl_Mshreg_dout_3_DIG_MUX_47
    );
  i_dut_i_sr_ctrl_Mshreg_dout_3_CLKINV : X_BUF -- AKA:i_dut/i_sr_ctrl/Mshreg_dout_3/CLKINV
    generic map(
      LOC => "SLICE_X55Y17",
      PATHPULSE => 369 ps
    )
    port map (
      I => clk,
      O => i_dut_i_sr_ctrl_Mshreg_dout_3_CLKINV_48
    );
  i_dut_i_sr_ctrl_Mshreg_dout_4_DIG_MUX : X_BUF -- AKA:i_dut/i_sr_ctrl/Mshreg_dout_4/DIG_MUX
    generic map(
      LOC => "SLICE_X57Y20",
      PATHPULSE => 369 ps
    )
    port map (
      I => din(4),
      O => i_dut_i_sr_ctrl_Mshreg_dout_4_DIG_MUX_50
    );
  i_dut_i_sr_ctrl_Mshreg_dout_4_CLKINV : X_BUF -- AKA:i_dut/i_sr_ctrl/Mshreg_dout_4/CLKINV
    generic map(
      LOC => "SLICE_X57Y20",
      PATHPULSE => 369 ps
    )
    port map (
      I => clk,
      O => i_dut_i_sr_ctrl_Mshreg_dout_4_CLKINV_51
    );
  Mshreg_dout_0 : X_SRLC16E
    generic map(
      INIT => X"0000",
      LOC => "SLICE_X54Y16"
    )
    port map (
      A0 => GLOBAL_LOGIC0,
      A1 => GLOBAL_LOGIC0,
      A2 => GLOBAL_LOGIC0,
      A3 => GLOBAL_LOGIC0,
      D => i_dut_i_sr_ctrl_Mshreg_dout_0_DIG_MUX_38,
      CE => i_dut_i_sr_ctrl_Mshreg_dout_0_WSG,
      CLK => i_dut_i_sr_ctrl_Mshreg_dout_0_CLKINV_39,
      Q => Mshreg_dout_0_37,
      Q15 => NLW_Mshreg_dout_0_Q15_UNCONNECTED
    );
  Mshreg_dout_1 : X_SRLC16E
    generic map(
      INIT => X"0000",
      LOC => "SLICE_X54Y17"
    )
    port map (
      A0 => GLOBAL_LOGIC0,
      A1 => GLOBAL_LOGIC0,
      A2 => GLOBAL_LOGIC0,
      A3 => GLOBAL_LOGIC0,
      D => i_dut_i_sr_ctrl_Mshreg_dout_1_DIG_MUX_41,
      CE => i_dut_i_sr_ctrl_Mshreg_dout_1_WSG,
      CLK => i_dut_i_sr_ctrl_Mshreg_dout_1_CLKINV_42,
      Q => Mshreg_dout_1_40,
      Q15 => NLW_Mshreg_dout_1_Q15_UNCONNECTED
    );
  Mshreg_dout_2 : X_SRLC16E
    generic map(
      INIT => X"0000",
      LOC => "SLICE_X55Y16"
    )
    port map (
      A0 => GLOBAL_LOGIC0,
      A1 => GLOBAL_LOGIC0,
      A2 => GLOBAL_LOGIC0,
      A3 => GLOBAL_LOGIC0,
      D => i_dut_i_sr_ctrl_Mshreg_dout_2_DIG_MUX_44,
      CE => i_dut_i_sr_ctrl_Mshreg_dout_2_WSG,
      CLK => i_dut_i_sr_ctrl_Mshreg_dout_2_CLKINV_45,
      Q => Mshreg_dout_2_43,
      Q15 => NLW_Mshreg_dout_2_Q15_UNCONNECTED
    );
  Mshreg_dout_3 : X_SRLC16E
    generic map(
      INIT => X"0000",
      LOC => "SLICE_X55Y17"
    )
    port map (
      A0 => GLOBAL_LOGIC0,
      A1 => GLOBAL_LOGIC0,
      A2 => GLOBAL_LOGIC0,
      A3 => GLOBAL_LOGIC0,
      D => i_dut_i_sr_ctrl_Mshreg_dout_3_DIG_MUX_47,
      CE => i_dut_i_sr_ctrl_Mshreg_dout_3_WSG,
      CLK => i_dut_i_sr_ctrl_Mshreg_dout_3_CLKINV_48,
      Q => Mshreg_dout_3_46,
      Q15 => NLW_Mshreg_dout_3_Q15_UNCONNECTED
    );
  Mshreg_dout_4 : X_SRLC16E
    generic map(
      INIT => X"0000",
      LOC => "SLICE_X57Y20"
    )
    port map (
      A0 => GLOBAL_LOGIC0,
      A1 => GLOBAL_LOGIC0,
      A2 => GLOBAL_LOGIC0,
      A3 => GLOBAL_LOGIC0,
      D => i_dut_i_sr_ctrl_Mshreg_dout_4_DIG_MUX_50,
      CE => i_dut_i_sr_ctrl_Mshreg_dout_4_WSG,
      CLK => i_dut_i_sr_ctrl_Mshreg_dout_4_CLKINV_51,
      Q => Mshreg_dout_4_49,
      Q15 => NLW_Mshreg_dout_4_Q15_UNCONNECTED
    );
  dout_0 : X_FF
    generic map(
      LOC => "SLICE_X54Y26",
      INIT => '0'
    )
    port map (
      I => ctrl_dly_out_i_bm_i_dut_0_m2s_1_DYMUX_25,
      CE => ctrl_dly_out_i_bm_i_dut_0_m2s_1_CEINV_28,
      CLK => ctrl_dly_out_i_bm_i_dut_0_m2s_1_CLKINV_27,
      SET => GND,
      RST => ctrl_dly_out_i_bm_i_dut_0_m2s_1_SRFFMUX_26,
      O => dout(0)
    );
  dout_1 : X_FF
    generic map(
      LOC => "SLICE_X54Y26",
      INIT => '0'
    )
    port map (
      I => ctrl_dly_out_i_bm_i_dut_0_m2s_1_DXMUX_24,
      CE => ctrl_dly_out_i_bm_i_dut_0_m2s_1_CEINV_28,
      CLK => ctrl_dly_out_i_bm_i_dut_0_m2s_1_CLKINV_27,
      SET => GND,
      RST => ctrl_dly_out_i_bm_i_dut_0_m2s_1_SRFFMUX_26,
      O => dout(1)
    );
  dout_2 : X_FF
    generic map(
      LOC => "SLICE_X54Y27",
      INIT => '0'
    )
    port map (
      I => ctrl_dly_out_i_bm_i_dut_0_m2s_3_DYMUX_30,
      CE => ctrl_dly_out_i_bm_i_dut_0_m2s_3_CEINV_33,
      CLK => ctrl_dly_out_i_bm_i_dut_0_m2s_3_CLKINV_32,
      SET => GND,
      RST => ctrl_dly_out_i_bm_i_dut_0_m2s_3_SRFFMUX_31,
      O => dout(2)
    );
  dout_3 : X_FF
    generic map(
      LOC => "SLICE_X54Y27",
      INIT => '0'
    )
    port map (
      I => ctrl_dly_out_i_bm_i_dut_0_m2s_3_DXMUX_29,
      CE => ctrl_dly_out_i_bm_i_dut_0_m2s_3_CEINV_33,
      CLK => ctrl_dly_out_i_bm_i_dut_0_m2s_3_CLKINV_32,
      SET => GND,
      RST => ctrl_dly_out_i_bm_i_dut_0_m2s_3_SRFFMUX_31,
      O => dout(3)
    );
  dout_4 : X_FF
    generic map(
      LOC => "SLICE_X56Y27",
      INIT => '0'
    )
    port map (
      I => ctrl_dly_out_i_bm_i_dut_0_m2s_4_DYMUX_34,
      CE => ctrl_dly_out_i_bm_i_dut_0_m2s_4_CEINV_36,
      CLK => ctrl_dly_out_i_bm_i_dut_0_m2s_4_CLKINV_35,
      SET => GND,
      RST => ctrl_dly_out_i_bm_i_dut_0_m2s_4_FFY_RSTAND_52,
      O => dout(4)
    );
  ctrl_dly_out_i_bm_i_dut_0_m2s_4_FFY_RSTAND : X_BUF -- AKA:ctrl_dly_out_i_bm_i_dut_0_m2s<4>/FFY/RSTAND
    generic map(
      LOC => "SLICE_X56Y27",
      PATHPULSE => 369 ps
    )
    port map (
      I => GLOBAL_LOGIC0,
      O => ctrl_dly_out_i_bm_i_dut_0_m2s_4_FFY_RSTAND_52
    );
  GLOBAL_LOGIC0_GND : X_ZERO
    port map (
      O => GLOBAL_LOGIC0
    );
  Mshreg_dout_0_CE_WSGAND : X_BUF -- AKA:Mshreg_dout_0.CE/WSGAND
    generic map(
      LOC => "SLICE_X54Y16",
      PATHPULSE => 369 ps
    )
    port map (
      I => en,
      O => i_dut_i_sr_ctrl_Mshreg_dout_0_WSG
    );
  Mshreg_dout_1_CE_WSGAND : X_BUF -- AKA:Mshreg_dout_1.CE/WSGAND
    generic map(
      LOC => "SLICE_X54Y17",
      PATHPULSE => 369 ps
    )
    port map (
      I => en,
      O => i_dut_i_sr_ctrl_Mshreg_dout_1_WSG
    );
  Mshreg_dout_2_CE_WSGAND : X_BUF -- AKA:Mshreg_dout_2.CE/WSGAND
    generic map(
      LOC => "SLICE_X55Y16",
      PATHPULSE => 369 ps
    )
    port map (
      I => en,
      O => i_dut_i_sr_ctrl_Mshreg_dout_2_WSG
    );
  Mshreg_dout_3_CE_WSGAND : X_BUF -- AKA:Mshreg_dout_3.CE/WSGAND
    generic map(
      LOC => "SLICE_X55Y17",
      PATHPULSE => 369 ps
    )
    port map (
      I => en,
      O => i_dut_i_sr_ctrl_Mshreg_dout_3_WSG
    );
  Mshreg_dout_4_CE_WSGAND : X_BUF -- AKA:Mshreg_dout_4.CE/WSGAND
    generic map(
      LOC => "SLICE_X57Y20",
      PATHPULSE => 369 ps
    )
    port map (
      I => en,
      O => i_dut_i_sr_ctrl_Mshreg_dout_4_WSG
    );
  NlwBlock_i_sr_ctrl_GND : X_ZERO
    port map (
      O => GND
    );
  NlwBlockROC : X_ROC
    port map (O => GSR);
  NlwBlockTOC : X_TOC
    port map (O => GTS);

end STRUCTURE;

